<?php
/**
 * 2024 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2024 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class AddifyQuoteAllMessageClass extends ObjectModel
{

    public $id_quotemessage;

    public $quote_id;

    public $id_customer;

    public $customer_name;

    public $email;

    public $quote_name; 

    public $unreadmsg; 

    public $message; 

    public $date_upd;

    public $date_add;

    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table'     => 'addifyrfqallmessages',
        'primary'   => 'id_quotemessage',
        'fields'    => array(
            'id_quotemessage'  => array('type' => self::TYPE_BOOL),
            'quote_id'  => array('type' => self::TYPE_BOOL),
            'id_customer'  => array('type' => self::TYPE_BOOL),
            'customer_name'  => array('type' => self::TYPE_HTML),
            'email'  => array('type' => self::TYPE_HTML),
            'quote_name' => array('type' => self::TYPE_HTML),
            'message' => array('type' => self::TYPE_HTML),
            'unreadmsg'  => array('type' => self::TYPE_BOOL),
            'date_upd' => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
            'date_add'   => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
        )
    );

    public static function getListContent()
    {
        return Db::getInstance()->executeS(' SELECT *
            FROM `'._DB_PREFIX_.'addifyrfqallmessages` ORDER BY `id_quotemessage` DESC');
    }

    public static function getDataByQuote($id_quotation)
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `'._DB_PREFIX_.'addifyrfqallmessages` WHERE quote_id = ' . $id_quotation);
    }

    public static function getDataByIDMessage($id_quotemessage)
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `'._DB_PREFIX_.'addifyrfqallmessages` WHERE id_quotemessage = ' . $id_quotemessage);
    }

}
