<?php
/**
* 2022 Addify
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Addify
*  @copyright 2022 Addify
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {

    exit;

}

class AddifyRequestAQuoteCustomFieldsDataModel extends ObjectModel
{
    public $id_data;

    public $id_request;

    public $id_field;

    public $field_label;

    public $field_type;

    public $field_name;

    public $field_options;

    public $field_value;

    public $field_name_id;

    /**

     * @see ObjectModel::$definition

     */

    public static $definition = array(

        'table'     => 'addifyrequestaquotecustomfieldsdata',

        'primary'   => 'id_data',

        'fields'    => array(

            'id_request' => array('type' => self::TYPE_HTML),
            'id_field' => array('type' => self::TYPE_HTML),
            'field_label' => array('type' => self::TYPE_HTML),
            'field_type'  => array('type' => self::TYPE_HTML),
            'field_name' => array('type' => self::TYPE_HTML),
            'field_options' => array('type' => self::TYPE_HTML),
            'field_value' => array('type' => self::TYPE_HTML),
            'field_name_id' => array('type' => self::TYPE_HTML),
        )

    );

    public static function checkData($id_field, $id_request, $field_name_id){
        return Db::getInstance()->executeS('SELECT *
        FROM ' . _DB_PREFIX_ . 'addifyrequestaquotecustomfieldsdata
        WHERE `id_field`=' . (int)$id_field . ' AND   
            `field_name_id`="' . pSQL($field_name_id) . '" AND
            `id_request`=' . (int)$id_request);
    }

    public static function getData($id_request){
        return Db::getInstance()->executeS('SELECT *
        FROM ' . _DB_PREFIX_ . 'addifyrequestaquotecustomfieldsdata
        WHERE   `id_request`=' . (int)$id_request);
    }
}

