<?php
/**
* 2024 Addify
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Addify
*  @copyright 2024 Addify
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

if (!defined('_PS_VERSION_')) {
    exit;
}

class AddifyRequestAQuoteCustomFieldsModel extends ObjectModel
{
    public $id_addifyrequestaquote;
    public $field_active;
    public $field_label;
    public $field_type;
    public $place_holder;
    public $values_req;
    public $options;
    public $field_name;

    public static $definition = array(
        'table'     => 'addifyrequestaquotecustomfields',
        'primary'   => 'id_addifyrequestaquote',
        'multilang' => true,
        'fields'    => array(
            'field_active'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'field_type' => array('type' => self::TYPE_HTML),
            'values_req'  => array('type' => self::TYPE_BOOL, 'validate' => 'isBool'),
            'options' => array('type' => self::TYPE_HTML),
            'field_name' => array('type' => self::TYPE_HTML),

            // multi-lingual
            'field_label' => array('type' => self::TYPE_HTML , 'lang' => true),
            'place_holder' => array('type' => self::TYPE_HTML , 'lang' => true),
        )
    );

    public static function getListContent() {
        return Db::getInstance()->executeS('
            SELECT t.*, tl.`field_label`, tl.`place_holder`
                FROM '._DB_PREFIX_.'addifyrequestaquotecustomfields t
                JOIN '._DB_PREFIX_.'addifyrequestaquotecustomfields_lang tl
                ON (t.`id_addifyrequestaquote` = tl.`id_addifyrequestaquote`)
                AND tl.`id_lang` = '.(int)Context::getContext()->language->id);
    }

    public static function getFrontaddifyrequestaquotecustomfields($id_lang, $only_active = false) {
        $sql = 'SELECT *
                FROM ' . _DB_PREFIX_ . 'addifyrequestaquotecustomfields t
                JOIN ' . _DB_PREFIX_ . 'addifyrequestaquotecustomfields_lang tl
                ON t.id_addifyrequestaquote = tl.id_addifyrequestaquote
                AND tl.id_lang = '. (int) $id_lang;

        if ($only_active) {
            $sql .= ' AND `field_active` = 1';
        }

        if (!$result = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS($sql)) {
            return array();
        }

        return $result;
    }

    public static function setStatus($status, $id_addifyrequestaquote) {
        if (!$id_addifyrequestaquote || empty($status)) {
            return false;
        }
        return (bool)Db::getInstance()->execute('UPDATE '._DB_PREFIX_.self::$definition['table'].'
            SET `'.pSQL($status).'` = !'.pSQL($status).'
            WHERE id_addifyrequestaquote = '.(int)$id_addifyrequestaquote);
    }
}

