<?php
/**
 * 2024 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2024 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class AddifyrequestsallClass extends ObjectModel
{
    public $id;

    public $id_addifyrequestaquote;

    public $id_customer;

    public $customer_address_field;

    public $status;

    public $id_product;

    public $id_product_attribute;

    public $product_info;

    public $product_name;

    public $product_sku;

    public $product_image;

    public $quantity;

    public $offered_price;

    public $original_price;

    public $name;

    public $email;

    public $description;

    public $file;    

    public $dropdown;                     

    public $texttype;                

    public $multiselect; 

    public $company; 

    public $website; 

    public $phone; 

    public $vatnumber; 

    public $product_values; 

    public $quote_name; 

    public $adminnote;

    public $admin_price;  

    public $sendlinkflag;

    public $cartlink;

    public $cartkey;
    
    public $cartexpire;

    public $quote_product_discount; 
    
    public $shipping_field;               

    public $date_upd;

    public $date_add;

    /**
     * @see ObjectModel::$definition
     */
    public static $definition = array(
        'table'     => 'addifyrequestsall',
        'primary'   => 'id_addifyrequestaquote',
        'fields'    => array(
            'status'  => array('type' => self::TYPE_HTML),
            'id_customer'  => array('type' => self::TYPE_HTML),
            'customer_address_field' => array('type' => self::TYPE_HTML),
            'id_product'  => array('type' => self::TYPE_HTML),
            'id_product_attribute'    => array('type' => self::TYPE_HTML),
            'product_info' => array('type' => self::TYPE_HTML),
            'product_name' => array('type' => self::TYPE_HTML),
            'product_sku' => array('type' => self::TYPE_HTML),
            'product_image' => array('type' => self::TYPE_HTML),
            'offered_price'  => array('type' => self::TYPE_HTML),
            'original_price' => array('type' => self::TYPE_HTML),
            'name'  => array('type' => self::TYPE_HTML),
            'email'  => array('type' => self::TYPE_HTML),
            'quantity' => array('type' => self::TYPE_HTML),
            'description' => array('type' => self::TYPE_HTML),
            'adminnote' => array('type' => self::TYPE_HTML),
            'file' => array('type' => self::TYPE_HTML),
            'dropdown' => array('type' => self::TYPE_HTML),
            'texttype' => array('type' => self::TYPE_HTML),
            'multiselect' => array('type' => self::TYPE_HTML),
            'company' => array('type' => self::TYPE_HTML),
            'website' => array('type' => self::TYPE_HTML),
            'phone' => array('type' => self::TYPE_HTML),
            'product_values' => array('type' => self::TYPE_HTML),
            'quote_name' => array('type' => self::TYPE_HTML),
            'vatnumber' => array('type' => self::TYPE_HTML),
            'adminnote' => array('type' => self::TYPE_HTML),
            'admin_price' => array('type' => self::TYPE_HTML),
            'sendlinkflag' => array('type' => self::TYPE_HTML),
            'cartlink' => array('type' => self::TYPE_HTML),
            'cartkey' => array('type' => self::TYPE_HTML),
            'cartexpire' => array('type' => self::TYPE_HTML),
            'quote_product_discount' => array('type' => self::TYPE_HTML),
            'shipping_field' => array('type' => self::TYPE_HTML),            
            'date_upd' => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
            'date_add'   => array('type' => self::TYPE_DATE, 'validate' => 'isDate'),
        )
    );

    public static function getListContent()
    {
        return Db::getInstance()->executeS(' SELECT *
            FROM `'._DB_PREFIX_.'addifyrequestsall` ORDER BY `id_addifyrequestaquote` DESC');
    }

    public static function getKey($key)
    {
        return Db::getInstance()->executeS(' SELECT *
            FROM `'._DB_PREFIX_.'addifyrequestsall` WHERE cartkey LIKE "'.$key.'"');
    }

    public static function getDataByCustomer($id_customer)
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `'._DB_PREFIX_.'addifyrequestsall` WHERE id_customer = ' . $id_customer);
    }

    public static function getDataById($id_addifyrequestaquote)
    {
        return Db::getInstance()->executeS('
            SELECT *
            FROM `'._DB_PREFIX_.'addifyrequestsall` WHERE id_addifyrequestaquote = ' . $id_addifyrequestaquote);
    }

    public static function searchProduct()
    {
        $query = Tools::getValue('q', false);
        if (!$query or $query == '' or Tools::strlen($query) < 1) {
            die();
        }

        /*
         * In the SQL request the "q" param is used entirely to match result in database.
         * In this way if string:"(ref : #ref_pattern#)" is displayed on the return list,
         * they are no return values just because string:"(ref : #ref_pattern#)"
         * is not write in the name field of the product.
         * So the ref pattern will be cut for the search request.
         */
        
        if ($pos = strpos($query, ' (ref:')) {
            $query = Tools::substr($query, 0, $pos);
        }
        $exIds = [];
        $exIdsAttr = [];
        $excludeIds = Tools::getValue('excludeIds', false);

        if ($excludeIds && $excludeIds != 'NaN') {
            
            $exclPros = explode(',',$excludeIds);
            
            foreach ($exclPros as $exclPro) {
                if($exclPro){
                    $exlP = explode('-',$exclPro);
                    $exIds[] = $exlP[0];
                    if($exlP[1] != 0){
                       $exIdsAttr[] = $exlP[1];   
                    } else {
                       $exIdsAttr[] = 99;   
                    }
                    
                }
                
            }
        } else {
            $excludeIds = '';
            $excludePackItself= Tools::getValue('packItself', false);
        }
        
        if ($exIdsAttr) {
            $excludeProductAttrIds = implode(',',$exIdsAttr);
        }
        

        // Excluding downloadable products from packs because download from pack is not supported
        $excludeVirtuals = (bool)Tools::getValue('excludeVirtuals', true);
        $exclude_packs = (bool)Tools::getValue('exclude_packs', true);

        $context = Context::getContext();

        $sql = 'SELECT p.`id_product`, pa.`id_product_attribute`, pl.`link_rewrite`, p.`reference`, pl.`name`, p.`cache_default_attribute`
                FROM `'._DB_PREFIX_.'product` p
                '.Shop::addSqlAssociation('product', 'p').'
                LEFT JOIN `'._DB_PREFIX_.'product_lang` pl ON (pl.id_product = p.id_product AND pl.id_lang = '.(int)$context->language->id.Shop::addSqlRestrictionOnLang('pl').')
                LEFT JOIN `' . _DB_PREFIX_ . 'product_attribute` pa
                    ON pa.`id_product` = p.`id_product`

                WHERE (pl.name LIKE \'%'.pSQL($query).'%\' OR p.reference LIKE \'%'.pSQL($query).'%\')'
                .
                (!empty($excludeProductAttrIds) ? ' AND pa.id_product_attribute NOT IN ('.$excludeProductAttrIds.') || p.cache_default_attribute = 0 ' : ' ').
            (!empty($excludePackItself) ? ' AND p.id_product <> '.$excludePackItself.' ' : ' ').
            ($excludeVirtuals ? 'AND NOT EXISTS (SELECT 1 FROM `'._DB_PREFIX_.'product_download` pd WHERE (pd.id_product = p.id_product))' : '').
            ($exclude_packs ? 'AND (p.cache_is_pack IS NULL OR p.cache_is_pack = 0)' : '').
            ' ';

        $items = Db::getInstance()->executeS($sql);
        
        if ($items) {
            foreach ($items as $item) {
                
                $item['name'] = Product::getProductName($item['id_product'],$item['id_product_attribute']);

                echo trim($item['name']).(!empty($item['reference']) ? ' (ref: '.$item['reference'].')' : '').'|'.(int)($item['id_product']).'-'.(int)($item['id_product_attribute'])."\n";
            }
        }

        die();
    }

    public static function searchCustomers()
    {
        $query = Tools::getValue('q', false);
        if (!$query or $query == '' or Tools::strlen($query) < 1) {
            die();
        }
        /*
         * In the SQL request the "q" param is used entirely to match result in database.
         * In this way if string:"(ref : #ref_pattern#)" is displayed on the return list,
         * they are no return values just because string:"(ref : #ref_pattern#)"
         * is not write in the name field of the product.
         * So the ref pattern will be cut for the search request.
         */
        if ($pos = strpos($query, ' (ref:')) {
            $query = Tools::substr($query, 0, $pos);
        }
        $excludeIds = Tools::getValue('excludeIds', false);
        if ($excludeIds && $excludeIds != 'NaN') {
            $excludeIds = implode(',', array_map('intval', explode(',', $excludeIds)));
        } else {
            $excludeIds = '';
            $excludePackItself= Tools::getValue('packItself', false);
        }
        $sql = 'SELECT  *
                FROM `'._DB_PREFIX_.'customer` p
                '.Shop::addSqlAssociation('customer', 'p').'
                WHERE (p.email LIKE \'%'.pSQL($query).'%\' OR p.firstname LIKE \'%'.pSQL($query).'%\' OR p.lastname LIKE \'%'.pSQL($query).'%\')'.
            (!empty($excludeIds) ? ' AND p.id_customer NOT IN ('.$excludeIds.') ' : ' ').
            ' GROUP BY p.id_customer';
        $items = Db::getInstance()->executeS($sql);
        if ($items) {
            foreach ($items as $item) {
                $item['name'] = str_replace('|', '&#124;', $item['firstname']).' '.str_replace('|', '&#124;', $item['lastname']);
                echo trim($item['name']).(!empty($item['email']) ? ' (ref: '.$item['email'].')' : '').'|'.(int)($item['id_customer'])."\n";
            }
        }
        die();
    }

    public static function getCustomerById($id_product)
    {
        return Db::getInstance()->getRow('SELECT `id_customer`, `firstname`, `lastname`, `email`
            FROM `'._DB_PREFIX_.'customer` WHERE `id_customer` = '.(int)$id_product);
    }

    public static function getProductById($id_product,$id_product_attribute,$productdetails,$product_attribute,$product_reference)
    {
       $data = Db::getInstance()->getRow('SELECT `id_product`, `name`
            FROM `'._DB_PREFIX_.'product_lang` WHERE `id_product` = '.(int)$id_product);
       
       if ($data) {
        
           $data['id_product_attribute'] = $id_product_attribute;
           $data['ids_product'] = $productdetails;
           $data['product_attribute'] = $product_attribute;
           $data['product_reference'] = $product_reference;
           

       }

       return $data;
       
    }

    public static function getCustomerAddress($quote_customer_id)
    {
        $customer_obj = new Customer((int)$quote_customer_id);
        if (Validate::isLoadedObject($customer_obj)) {
            $addresses = $customer_obj->getAddresses((int)Configuration::get('PS_LANG_DEFAULT'));
            $customer_address_here = [];
            foreach ($addresses as $address) {
                $customer_address_here[] = "Address: {$address['address1']}, {$address['city']}, {$address['country']}, {$address['postcode']}";
            }
            return implode("; ", $customer_address_here);
        }
        return null;
    }


    public static function getProdDiscount($quote_discount_id)
    {
        $id_lang = Context::getContext()->language->id;
        $sql = 'SELECT crl.name, cr.code 
                FROM `' . _DB_PREFIX_ . 'cart_rule` cr
                INNER JOIN `' . _DB_PREFIX_ . 'cart_rule_lang` crl ON cr.id_cart_rule = crl.id_cart_rule
                WHERE cr.id_cart_rule = ' . (int)$quote_discount_id . ' 
                AND crl.id_lang = ' . (int)$id_lang;

        $result = Db::getInstance()->getRow($sql);
        if ($result) {
            return $result['name'] . ' (' . $result['code'] . ')';
        } else {
            return null; 
        }
    }

    public static function getShippingAddress($quote_shipping_id)
    {
        $carriers = Carrier::getCarriers(Context::getContext()->language->id, true);
        if ($carriers) {
            foreach ($carriers as $carrier) {
                if ($carrier['id_carrier'] == (int)$quote_shipping_id) {
                    return $carrier['name'];
                }
            }
        }
        return null;
    }
}
