<?php
/**
 * 2024 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2024 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class AdminAddifyrequestaquoteCartlinkController extends ModuleAdminController
{
    public function init()
    {
        if (!$this->ajax) {
            Tools::redirectAdmin(Context::getContext()->link->getAdminLink('AdminModules').'&configure='.$this->module->name);
        }
         if (Tools::isSubmit('action')) {


            // Default response with translation from the module
            $response = array('status' => false, "message" => "Nothing here");

            switch (Tools::getValue('action')) {

                case 'action_name':

                //Edit default response and do some work here
                $allpids = str_replace(' ', '', Tools::getValue('pids'));
                $allpattrids =str_replace(' ', '', Tools::getValue('pattrids'));
                $pquantities = str_replace(' ', '', Tools::getValue('pquantities'));
                $setallpprice = str_replace(' ', '', Tools::getValue('total'));
                $expirydate = Tools::getValue('expirydate');

                $allpids=explode(',',$allpids);
                $allpattrids=explode(',',$allpattrids);
                $setallpprice=explode(',',$setallpprice);
                $pquantities=explode(',',$pquantities);
     
                $new_cart = new Cart();
                $new_cart->id_currency = 1;
                $new_cart->id_lang = 1;
                $new_cart->save();
  

                for ($i=0; $i < count($allpids) ; $i++) { 
                    $specific_price = new SpecificPrice();
                    $specific_price->id_product = $allpids[$i]; // choosen product id-10
                    $specific_price->id_product_attribute = $allpattrids[$i]; // optional or set to 0
                    $specific_price->id_cart = $new_cart->id;
                    $specific_price->from_quantity = $pquantities[$i];
                    $specific_price->price = $setallpprice[$i];
                    $specific_price->reduction_type = 'percentage';
                    $specific_price->reduction_tax = 1;
                    $specific_price->id_shop =0;
                    $specific_price->id_currency = 0;
                    $specific_price->id_country = 0;
                    $specific_price->id_group = 0;
                    $specific_price->id_customer = 0;
                    $specific_price->reduction = 0.0;
                    $specific_price->from = date("Y-m-d");
                    $specific_price->to = $expirydate; // or set date x days from now
                    $specific_price->add();

                    $result_add = Db::getInstance()->insert('cart_product', array(
                        'id_product' => (int)$allpids[$i],
                        'id_product_attribute' => (int)$allpattrids[$i],
                        'id_cart' => $new_cart->id,
                        'id_address_delivery' => 0,
                        'id_shop' => 1,
                        'quantity' => (int)$pquantities[$i],
                        'date_add' => date('Y-m-d H:i:s'),
                        'id_customization' => 0,
                    ));

                    if (!$result_add) {
                        return false;
                    }
                }

                $baseUrl = $this->context->shop->getBaseURL(true);

                $t=time();
                $key=($t).(date("Y-m-d",$t));

                $cartsall = new AddifycartsallClass();
                $cartsall->key = $new_cart->id.$key;
                $cartsall->cart_id = $new_cart->id;
                $cartsall->save();

                $quoteid = str_replace(' ', '', Tools::getValue('quoteid'));
                $quote = new AddifyrequestsallClass($quoteid);
                $quote->cartkey = $new_cart->id.$key;
                $quote->cartexpire = $expirydate;
                $quote->cartlink = $baseUrl.'?quotecart=true&key='.$new_cart->id.$key;

                $quote->save();
                
                $output=$baseUrl.'?quotecart=true&key='.$new_cart->id.$key;
                

                


                $response = array('status' => true, "message" => $output);

                    break;

                default:
                    break;

            }
        }

        // Classic json response

        $json = json_encode($response);
        echo $json;
        die;
    }


}
