<?php
/**
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/
if (!defined('_PS_VERSION_')) {
    exit;
}
class AddifyrequestaquoteAjaxModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        $token = "wsx543cde2244rrv";
        $baseUrl = $this->context->shop->getBaseURL(true);
        if (!$this->ajax) {
            Tools::redirect($baseUrl);
        }

        if($token != Tools::getValue('token')) {
            $response = array('status' => true, "message" => "Error");
            $json = json_encode($response);
            echo $json;
            die;

        }


        // You may should do some security work here, like checking an hash from your module
        if (Tools::isSubmit('action')) 
        {

            // Default response with translation from the module
            $response = array('status' => false, "message" => "Nothing here");

            switch (Tools::getValue('action')) {

                case 'action_name':
                $output = '';
                if(Tools::getValue('quote')) {

                    $pid = Tools::getValue('pid');
                    $pidattr = Tools::getValue('pidattr');
                    $pquantity = Tools::getValue('pquntity');
                    $output=$this->addProductInCookies($pid,$pidattr,$pquantity);

                } 

                if(Tools::getValue('requote')) {

                    $id_addifyrequestaquote = Tools::getValue('id_addifyrequestaquote');

                    $quotehistorys = AddifyrequestsallClass::getDataById((int)$id_addifyrequestaquote);

                    $exp_pro_ids = explode(",",$quotehistorys[0]['id_product']);
                    $exp_attr_ids = explode(",",$quotehistorys[0]['id_product_attribute']);
                    $exp_quan_ids = explode(",",$quotehistorys[0]['quantity']);

                    foreach ($exp_pro_ids as $keyvalue => $exp_pro_id) {

                        $pid = $exp_pro_id;
                        $pidattr = (int) $exp_attr_ids[$keyvalue];
                        $pquantity = (int) $exp_quan_ids[$keyvalue];
                        $output=$this->addProductInCookies($pid,$pidattr,$pquantity);
                    }
                } 

                if(Tools::getValue('quoteupdate')) {
                    $thisquantity = 0;
                    $counter=$this->context->cookie->counter;
                    if ($counter != '' || $counter != 0){
                        for($i=1;$i<=(int)$counter;$i++){
                        $item='item'.$i;
                        $checkitem=$this->context->cookie->$item;
                        $checkitem = explode(',', $checkitem);
                        $thisquantity = $thisquantity + $checkitem[2];
                        }
                        $output='('.$thisquantity.')';
                    }
                    else {
                        $output='(0)';
                    }
                    
                }

                if(Tools::getValue('requoteupdate')) {
                    $thisquantity = 0;
                    $counter=$this->context->cookie->counter;
                    if ($counter != '' || $counter != 0){
                        for($i=1;$i<=(int)$counter;$i++){
                        $item='item'.$i;
                        $checkitem=$this->context->cookie->$item;
                        $checkitem = explode(',', $checkitem);
                        $thisquantity = $thisquantity + $checkitem[2];
                        }
                        $output='('.$thisquantity.')';
                    }
                    else {
                        $output='(0)';
                    }
                    
                }

                if(Tools::getValue('loadquantity')) {
                    $quantity = Tools::getValue('quantity');
                    $quantity = explode(',', $quantity);
                    $total = $this->context->cookie->counter;
                    for($i = 0; $i < (int)$total; $i++) {
                        $item='item'.($i+1);
                        $checkitem=$this->context->cookie->$item;
                        $checkitem = explode(',', $checkitem);
                        $checkitem[2] = $quantity[$i];
                        $checkitem = implode(',', $checkitem);
                        $this->context->cookie->__set($item,$checkitem);
                    }

                }

                if(Tools::getValue('bulkdel')) {
                    $decode_from = json_decode(Tools::getValue('pnum'));
                    // $from = Tools::getValue('pnum');
                    $total = $this->context->cookie->counter;
                    foreach ($decode_from as $from) {
                        for($i = (int)$from; $i < (int)$total; $i++) {
                            $item='item'.($i+1);
                            $checkitem=$this->context->cookie->$item;
                            $item='item'.($i);
                            $this->context->cookie->__set($item,$checkitem);
                            
                        }
                        $total = $total-1;
                        $this->context->cookie->__set('counter',$total);
                        $output='true';
                    }
                }

                if(Tools::getValue('del')) {
                    $from = Tools::getValue('pnum');
                    $total = $this->context->cookie->counter;
                    for($i = (int)$from; $i < (int)$total; $i++) {
                        $item='item'.($i+1);
                        $checkitem=$this->context->cookie->$item;
                        $item='item'.($i);
                        $this->context->cookie->__set($item,$checkitem);
                        
                    }
                    $total = $total-1;
                    $this->context->cookie->__set('counter',$total);
                    $output='true';
                }

                $response = array('status' => true, "message" => $output);

                    break;

                default:
                    break;

            }
        }

        // Classic json response
        $json = json_encode($response);
        echo $json;
        die;

    }

    public function addProductInCookies($pid,$pidattr,$pquantity) {

        $counter=$this->context->cookie->counter;
            if ($counter != '' || $counter != 0){
                $newitem=$pid.','.$pidattr;
                for($i=1;$i<=(int)$counter;$i++){
                    $item='item'.$i;
                    $checkitem=$this->context->cookie->$item;
                    $checkitem = explode(',', $checkitem);
                    $thisquantity = $checkitem[2];
                    $checkitem = array( 0 => $checkitem[0], 1 =>$checkitem[1]);
                    $checkitem = implode(',', $checkitem);
                    if($checkitem==$newitem) {
                        $pquantity = $pquantity + $thisquantity;
                        $this->context->cookie->__set($item,$pid.','.$pidattr.','.$pquantity);
                        return $this->l('Product Added Successfully');
                    }
                }
            }
            $flag=0;
            if ($counter == '' || $counter == 0) {
                $flag=1;
                $this->context->cookie->__set('counter',$flag);
            } else {
                $flag=$counter+1;
                $this->context->cookie->__set('counter',$flag);
            }
                $this->context->cookie->__set('item'.$flag,$pid.','.$pidattr.','.$pquantity);
                $item='item'.$counter;
                return $this->l('Product Added Successfully');

    }
}