<?php
/**
 * 2024 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2024 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class AddifyrequestaquotequotedetailviewtabModuleFrontController extends ModuleFrontController
{
    /**
     * @see FrontController::postProcess()
     */

    public function initContent()
    {
        parent::initContent();
        $this->name = 'addifyrequestaquote';
        $activecheck=Configuration::get('ADDIFYREQUESTAQUOTE_LIVE_MODE');
        if($activecheck==0){
            Tools::redirect('index.php?controller=pagenotfound');
        }
        $customer_id = (int)$this->context->customer->id;
        if (!$customer_id) {
            Tools::redirect('authentication');
        }

        $id_quotation = Tools::getValue('id_quotation');

        $quotehistory = AddifyrequestsallClass::getDataByCustomer((int)$customer_id);

        $arq_tab_con_link = $this->context->link->getModuleLink($this->name,'quotehistorytab');
        $quotemessagetab = $this->context->link->getModuleLink($this->name,'quotemessagetab');

        $customfieldsdata = AddifyRequestAQuoteCustomFieldsDataModel::getData((int)$id_quotation);


        $requestaquote = new AddifyrequestsallClass((int)$id_quotation);
        $status = $requestaquote->status;
        $allid_product = $requestaquote->id_product;
        $allid_productarr = explode(',', $requestaquote->id_product);
        $number_of_products = count($allid_productarr);
        $allid_productarr = explode(',', $requestaquote->id_product);
        $allpimagesarr = explode(',',$requestaquote->product_image);
        $allpnamearr = explode(',',$requestaquote->product_name);
        $offered_pricearr = explode(',',$requestaquote->offered_price);
        $allpinfoarr = explode(',',$requestaquote->product_info);
        $original_pricearr = explode(',',$requestaquote->original_price) ;
        $quantityarr = explode(',',$requestaquote->quantity) ;
        $admin_pricearr = explode(',',$requestaquote->admin_price) ;
        $allpskuarr = explode(',',$requestaquote->product_sku);

        $name = $requestaquote->name ;
        $email = $requestaquote->email ;
        $description = $requestaquote->description ;
        $file = $requestaquote->file ;
        $dropdown = $requestaquote->dropdown ;
        $texttype = $requestaquote->texttype ;
        $company = $requestaquote->company ;
        $website = $requestaquote->website ;
        $phone = $requestaquote->phone ;
        $vatnumber = $requestaquote->vatnumber ;
        $multiselect = $requestaquote->multiselect ;


        if (trim($file ?? '') == ':') {
            $file = '';
        }

        if (trim($dropdown ?? '') == ':') {
            $dropdown = '';
        }

        if (trim($texttype ?? '') == ':') {
            $texttype = '';
        }

        if (trim($multiselect ?? '') == ':') {
            $multiselect = '';
        }

        if (trim($company ?? '') == ':') {
            $company = '';
        }

        if (trim($website ?? '') == ':') {
            $website = '';
        }

        if (trim($phone ?? '') == ':') {
            $phone = '';
        }

        if (trim($vatnumber ?? '') === ':') {
            $vatnumber = '';
        }

        if (!empty($file)) {
            $File_split = explode(":", $file, 2);

            if ($File_split) {
                $file_Heading = isset($File_split[0]) ? $File_split[0] : ''; // First part of the split
                $file_source = isset($File_split[1]) ? $File_split[1] : '';   // Second part of the split

                if (!empty($file_source)) {
                    $file_Image = _PS_BASE_URL_.'/'.__PS_BASE_URI__.'modules/addifyrequestaquote/views/img/'.trim($file_source);
                } else {
                    $file_Image = ''; // Assign empty string if $file_source is empty
                }
            } else {
                $file_Heading = '';
                $file_Image = '';
                $file_source = '';
            }
        } else {
            $file_Heading = '';
            $file_Image = '';
            $file_source = '';
        }

        $this->context->smarty->assign(array(
                'name' => $name,
                'email' => $email,
                'description' => $description,
                'dropdown'=> explode(":", $dropdown ?? '', 2),
                'texttype'=> explode(":", $texttype ?? '', 2),
                'multiselect'=> explode(":", $multiselect ?? '', 2),
                'company' => explode(":", $company ?? '', 2), 
                'website' => explode(":", $website ?? '', 2), 
                'phone' => explode(":", $phone ?? '', 2),
                'vatnumber' => explode(":", $vatnumber ?? '', 2),
                'file_Heading' => $file_Heading,
                'file_Image' => $file_Image,
                'file_source' => $file_source,
                'arq_tab_con_link' => $arq_tab_con_link,
                'id_quotation' => $id_quotation,
                'quotehistorys' => $quotehistory,
                'number_of_products' => $number_of_products,
                'allid_productarr' => $allid_productarr,
                'allpskuarr' => $allpskuarr,
                'allpimagesarr' => $allpimagesarr,
                'allpnamearr' => $allpnamearr,
                'offered_pricearr' => $offered_pricearr,
                'allpinfoarr' => $allpinfoarr,
                'original_pricearr' => $original_pricearr,
                'quantityarr' => $quantityarr,
                'admin_pricearr' => $admin_pricearr,
                'customfieldsdata' => $customfieldsdata,
                'aadifyraq_offered_mode' => Configuration::get('ADDIFYREQUESTAQUOTE_OFFERED_MODE'),
                'text_active' => Configuration::get('ADDIFYREQUESTAQUOTE_TEXTTYPE_ACTIVE'),
                'dropdown_active' => Configuration::get('ADDIFYREQUESTAQUOTE_FILEUPLOAD_ACTIVE'),
                'fileuplod_active' => Configuration::get('ADDIFYREQUESTAQUOTE_MULTICHECK_ACTIVE'),
                'multicheck_active' => Configuration::get('ADDIFYREQUESTAQUOTE_DROPDOWN_ACTIVE'),
                'company_active' => Configuration::get('ADDIFYREQUESTAQUOTE_COMPANYNAME_ACTIVE'),
                'website_active' => Configuration::get('ADDIFYREQUESTAQUOTE_WEBSITE_ACTIVE'),
                'phone_active' => Configuration::get('ADDIFYREQUESTAQUOTE_PHONE_ACTIVE'),
                'vatnumber_active' => Configuration::get('ADDIFYREQUESTAQUOTE_VATNUMBER_ACTIVE'),
        ));
        $this->setTemplate('module:addifyrequestaquote/views/templates/front/quote_view_detail_tab.tpl');
    }
}
