<?php
/**
 * 2024 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2024 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class AddifyrequestaquotequotehistorytabModuleFrontController extends ModuleFrontController
{
	/**
	 * @see FrontController::postProcess()
	 */

    public function initContent()
    {
        parent::initContent();

        $this->name = 'addifyrequestaquote';
        $activecheck=Configuration::get('ADDIFYREQUESTAQUOTE_LIVE_MODE');
        if($activecheck==0){
            Tools::redirect('index.php?controller=pagenotfound');
        }
        $customer_id = $this->context->customer->id;
        if (!$customer_id) {
            Tools::redirect('authentication');
        }
        $quotehistory = AddifyrequestsallClass::getDataByCustomer((int)$customer_id);
        $lan_code = $this->context->language->iso_code;
        $baseUrl = _PS_BASE_URL_ . __PS_BASE_URI__; 
        $quotemessage = $this->context->link->getModuleLink($this->name,'quotemessagetab');
        $View_Detail = $this->context->link->getModuleLink($this->name,'quotedetailviewtab');
        $this->context->smarty->assign(array(
                'arq_tab_detail_con_link' => $baseUrl.$lan_code."/index.php?controller=order-detail",
                'quotehistorys' => $quotehistory,
                'quotemessage' => $quotemessage,
                'View_Detail' => $View_Detail,
                
        ));
        $this->setTemplate('module:addifyrequestaquote/views/templates/front/quote_history_detail_tab.tpl');
    }
}
