<?php
/**
 * 2024 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2024 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */
if (!defined('_PS_VERSION_')) {
    exit;
}
class AddifyrequestaquotequotemessagetabModuleFrontController extends ModuleFrontController
{
    /**
     * @see FrontController::postProcess()
     */

    public function initContent()
    {
        parent::initContent();
        $this->name = 'addifyrequestaquote';
        $activecheck=Configuration::get('ADDIFYREQUESTAQUOTE_LIVE_MODE');
        if($activecheck==0){
            Tools::redirect('index.php?controller=pagenotfound');
        }
        $customer_id = (int)$this->context->customer->id;
        if (!$customer_id) {
            Tools::redirect('authentication');
        }

        $id_quotation = Tools::getValue('id_quotation');

        $id_quotemessage = '';

        $quotemessagealert = 0;

        $quotemessages = AddifyQuoteAllMessageClass::getDataByQuote((int)$id_quotation);

        if(Tools::isSubmit('submitAddifyrfqMessage')) {

            $dt = date("Y-m-d h:i:s");

            $current_date_time = date("Y-m-d h:i:sa");

            $client_thread = 0;

            $rfq_message = Tools::getValue('rfq_message');
        
            $final_msg = $client_thread."|>".$current_date_time.'|>'.$rfq_message;

            $Customer = new Customer($customer_id);
            $Customer_name = $Customer->firstname.' '.$Customer->lastname;
            $Customer_email = $Customer->email; 

            if ($quotemessages) {
                $id_quotemessage = $quotemessages[0]['id_quotemessage'];
                $db_quotemessage = $quotemessages[0]['message'];

                $exp = explode(",", $db_quotemessage);

                $exp[] = $final_msg;

                $final_msg  = implode(',', $exp);
            }

            if ($id_quotemessage) {
                $AddifyQuoteAllMessageClass= new AddifyQuoteAllMessageClass((int)$id_quotemessage);
                $AddifyQuoteAllMessageClass->date_update = $dt;

                $AddifyQuoteAllMessageClass->quote_id = $id_quotation;
                $AddifyQuoteAllMessageClass->id_customer = $customer_id;
                $AddifyQuoteAllMessageClass->customer_name = $Customer_name;
                $AddifyQuoteAllMessageClass->email = $Customer_email;
                $AddifyQuoteAllMessageClass->message = $final_msg;
                
                $AddifyQuoteAllMessageClass->save();

            }else{
                $AddifyQuoteAllMessageClass = new AddifyQuoteAllMessageClass();
                $AddifyQuoteAllMessageClass->date_add = $dt;

                $AddifyQuoteAllMessageClass->quote_id = $id_quotation;
                $AddifyQuoteAllMessageClass->id_customer = $customer_id;
                $AddifyQuoteAllMessageClass->customer_name = $Customer_name;
                $AddifyQuoteAllMessageClass->email = $Customer_email;
                $AddifyQuoteAllMessageClass->message = $final_msg;
                
                $AddifyQuoteAllMessageClass->save();
            }

            if (Configuration::get('ADDIFYREQUESTAQUOTE_ENABLE_MESSAGE_NOTIFY')) {
                $this->sendMail($Customer_email,$Customer_name,Tools::getValue('rfq_message'), $id_quotation);
            }

            $quotemessagealert = 1;
        }
        
        $quotemessages = AddifyQuoteAllMessageClass::getDataByQuote((int)$id_quotation);
        $arq_tab_con_link = $this->context->link->getModuleLink($this->name,'quotehistorytab');
        $quotemessagetab = $this->context->link->getModuleLink($this->name,'quotemessagetab');

        $this->context->smarty->assign(array(
                'arq_tab_detail_con_link' => '',
                'quotemessages' => $quotemessages,
                'arq_tab_con_link' => $arq_tab_con_link,
                'quotemessagetab' => $quotemessagetab,
                'id_quotation' => $id_quotation,
                'quotemessagealert' => $quotemessagealert,
        ));
        $this->setTemplate('module:addifyrequestaquote/views/templates/front/quote_message_detail_tab.tpl');
    }


    public function sendMail($email,$name,$message, $id_quotation) {

        Mail::send(
            $this->context->language->id,
            'sendmessage',
            Mail::l('Customer Send a Message'),
            array(
                '{dateTime}' => date ('Y-m-d H:i:s'),
                '{message}' => $message,
                '{email}' => $email,
                '{name}' => $name,
                '{id_quotation}' => $id_quotation,
                '{shop_name}' => Configuration::get('PS_SHOP_NAME'),
                
            ),
            $email,
            $name,
            Configuration::get('PS_SHOP_EMAIL'),
            Configuration::get('PS_SHOP_NAME'),
            null,
            null,
            dirname(__file__).'/mails/'
        );
    }
}
