<?php
/**
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/
if (!defined('_PS_VERSION_')) {
    exit;
}
$sql = array();

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'addifyrequestaquote` (
    `id_addifyrequestaquote` int(11) NOT NULL AUTO_INCREMENT,
    `active`                        TINYINT(2),
    `priority`                      int(11),
    `title`                         TEXT,
    `text_color`                    TEXT,
    `text_bg_color`                 TEXT,
    `hideprice`                     TINYINT(2),
    `hidecart`                      TINYINT(2),
    `hideofferedprice`              TINYINT(2),
    `categories`                    TEXT,
    `groups`                        TEXT,
    `message`                       TEXT,
    `product_type`                  TINYINT(2),
    `product`                       TEXT,
    `id_shop`                       TEXT,
    `Supplier`                        TEXT,
    `Manufacturer`                        TEXT,
    `group_active`                        TINYINT(2),
    `product_active`                        TINYINT(2),
    `category_active`                        TINYINT(2),
    `manufacturer_active`                        TINYINT(2),
    `supplier_active`                        TINYINT(2),
    `date_upd`                      DATE,
    `date_add`                      DATE,
    PRIMARY KEY  (`id_addifyrequestaquote`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';



$sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifyrequestsall` (
    `id_addifyrequestaquote` int(11) NOT NULL AUTO_INCREMENT,
    `status`                         TEXT,
    `id_customer`                    TEXT,
    `customer_address_field`         TEXT,
    `id_product`                     TEXT,
    `id_product_attribute`           TEXT,
    `product_info`                   TEXT,
    `product_name`                   TEXT,
    `product_sku`                    TEXT,
    `product_image`                  TEXT,
    `quantity`                       TEXT,
    `offered_price`                  TEXT,
    `original_price`                 TEXT,
    `name`                           TEXT,
    `email`                          TEXT,
    `description`                    TEXT,
    `file`                           TEXT,
    `dropdown`                       TEXT,
    `texttype`                       TEXT,
    `multiselect`                    TEXT,
    `company`                        TEXT,
    `website`                        TEXT,
    `phone`                          TEXT,
    `vatnumber`                      TEXT,
    `quote_name`                     TEXT,
    `product_values`                 TEXT,
    `admin_price`                    TEXT,
    `adminnote`                      TEXT,
    `sendlinkflag`                   TINYINT(2),
    `cartlink`                       TEXT,
    `cartkey`                        TEXT,
    `cartexpire`                     TEXT,
    `quote_product_discount`         TEXT,
    `shipping_field`                 TEXT,
    `date_upd`                       DATE,
    `date_add`                       DATE,
    PRIMARY KEY  (`id_addifyrequestaquote`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';


$sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifycartsall` (
    `id_addifyrequestaquote` int(11) NOT NULL AUTO_INCREMENT,
    `key`                         TEXT,
    `cart_id`                     TEXT,
    PRIMARY KEY  (`id_addifyrequestaquote`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'addifyrequestaquotecustomfields` (
        `id_addifyrequestaquote`                     int(11) NOT NULL AUTO_INCREMENT,
        `field_active`                   TINYINT(2),
        `field_type`                  TEXT,
        `field_name`                  TEXT,
        `options`                     TEXT,
        `values_req`                  TINYINT(2),

        PRIMARY KEY  (`id_addifyrequestaquote`)
    ) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifyrequestaquotecustomfields_lang` (
        `id_addifyrequestaquote`            INT(11) NOT NULL,
        `id_lang`                       INT(11) NOT NULL,
        `field_label`                       TEXT,
        `place_holder`                       TEXT,
        PRIMARY KEY                     (`id_addifyrequestaquote`, `id_lang`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'addifyrequestaquotecustomfieldsdata` (

        `id_data`                     int(11) NOT NULL AUTO_INCREMENT,
        `id_request`                    int(11) NOT NULL,
        `id_field`                     int(11) NOT NULL,
        `field_label`                 TEXT,
        `field_type`                  TEXT,
        `field_name`                  TEXT,
        `field_options`               TEXT,
        `field_value`                 TEXT,
        `field_name_id`                 TEXT,

        PRIMARY KEY  (`id_data`)
    ) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

    $sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifyrfqallmessages` (
    `id_quotemessage` int(11) NOT NULL AUTO_INCREMENT,
    `quote_id`                       int(11),
    `id_customer`                    int(11),
    `unreadmsg`                    int(11),
    `customer_name`                           TEXT,
    `email`                          TEXT,
    `quote_name`                     TEXT,
    `message`                     TEXT,
    `date_upd`                       DATE,
    `date_add`                       DATE,
    PRIMARY KEY  (`id_quotemessage`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        return false;
    }
}
