<?php
/**
 * 2014 Addify
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    Addify
 *  @copyright 2014 Addify
 *  @license   http://opensource.org/licenses/afl-3.0.php
 */

if (!defined('_PS_VERSION_')) {
    exit;
}

/**
 * This function updates your module from previous versions to the version 1.1,
 * usefull when you modify your database, or register a new hook ...
 * Don't forget to create one file per version.
 */
function upgrade_module_1_4_0($module)
{
    Configuration::updateValue('AADIFYRAQ_SEMAIL_ENABLE', 1);
    Configuration::updateValue('ADDIFYREQUESTAQUOTE_TEXTTYPE_MANDATORY', 1);
    Configuration::updateValue('ADDIFYREQUESTAQUOTE_ENABLE_OUTOFSTOCK', 1);
    Configuration::updateValue('ADDIFYREQUESTAQUOTE_TEXT_COLOR', '#4285f4');
    Configuration::updateValue('ADDIFYREQUESTAQUOTE_TEXT_BG_COLOR', '#515356');
    Configuration::updateValue('ADDIFYREQUESTAQUOTE_MESSAGE', 'Add to Quote');

     $module->registerHook('displayHeader');

    $active = 1;
    $Manufacturer = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestaquote` LIKE 'Manufacturer'");
    if (!$Manufacturer) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestaquote` ADD COLUMN `Manufacturer` TEXT");
    }

    $Supplier = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestaquote` LIKE 'Supplier'");
    if (!$Supplier) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestaquote` ADD COLUMN Supplier TEXT");
    }

    $manufacturer_active = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestaquote` LIKE 'manufacturer_active'");
    if (!$manufacturer_active) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestaquote` ADD COLUMN manufacturer_active TINYINT(2)");
    }

    $supplier_active = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestaquote` LIKE 'supplier_active'");
    if (!$supplier_active) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestaquote` ADD COLUMN supplier_active TINYINT(2)");
    }

    $group_active = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestaquote` LIKE 'group_active'");
    if (!$group_active) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestaquote` ADD COLUMN group_active TINYINT(2) DEFAULT \"" . (int)$active . "\"");
    }

    $product_active = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestaquote` LIKE 'product_active'");
    if (!$product_active) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestaquote` ADD COLUMN product_active TINYINT(2) DEFAULT \"" . (int)$active . "\"");
    }

    $category_active = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestaquote` LIKE 'category_active'");
    if (!$category_active) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestaquote` ADD COLUMN category_active TINYINT(2) DEFAULT \"" . (int)$active . "\"");
    }

    
    // ------------------------------------ //
    $company = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestsall` LIKE 'company'");
    if (!$company) {
         Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestsall` ADD COLUMN company TEXT");
    }

    $quote_name = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestsall` LIKE 'quote_name'");
    if (!$quote_name) {
         Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestsall` ADD COLUMN quote_name TEXT");
    }

    $customer_address_field = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestsall` LIKE 'customer_address_field'");
    if (!$customer_address_field) {
         Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestsall` ADD COLUMN customer_address_field TEXT");
    }

    $quote_product_discount = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestsall` LIKE 'quote_product_discount'");
    if (!$quote_product_discount) {
         Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestsall` ADD COLUMN quote_product_discount TEXT");
    }

    $shipping_field = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestsall` LIKE 'shipping_field'");
    if (!$shipping_field) {
         Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestsall` ADD COLUMN shipping_field TEXT");
    }

    $website = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestsall` LIKE 'website'");
    if (!$website) {
         Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestsall` ADD COLUMN website TEXT");
    }

    $phone = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestsall` LIKE 'phone'");
    if (!$phone) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestsall` ADD COLUMN phone TEXT");
    }

    $vatnumber = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestsall` LIKE 'vatnumber'");
    if (!$vatnumber) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestsall` ADD COLUMN vatnumber TEXT");
    }    

    $product_values = Db::getInstance()->executeS("SHOW COLUMNS FROM `" . _DB_PREFIX_ . "addifyrequestsall` LIKE 'product_values'");
    if (!$product_values) {
        Db::getInstance()->execute("ALTER TABLE `" . _DB_PREFIX_ . "addifyrequestsall` ADD COLUMN product_values TEXT");
    }


    if (!Tab::getIdFromClassName('AdminAddifyrequestaquotecustomer')) {
        $tab = new Tab();
        $tab->active = 1;
        $tab->class_name = 'AdminAddifyrequestaquotecustomer';
        $tab->module = $module->name;
        $tab->id_parent = -1; 
        $tab->position = 0;

        foreach (Language::getLanguages(true) as $lang) {
            $tab->name[$lang['id_lang']] = 'Addify Request a Quote';
        }

        $tab->add();
    }

    if (!Tab::getIdFromClassName('AdminAddifyrequestaquoteproduct')) {
        $tab = new Tab();
        $tab->active = 1;
        $tab->class_name = 'AdminAddifyrequestaquoteproduct';
        $tab->module = $module->name;
        $tab->id_parent = -1; 
        $tab->position = 0;

        foreach (Language::getLanguages(true) as $lang) {
            $tab->name[$lang['id_lang']] = 'Addify Request a Quote';
        }

        $tab->add();
    }

    /*
     * Do everything you want right there,
     * You could add a column in one of your module's tables
     */

    $sql = array();

    $sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'addifyrequestaquotecustomfields` (
        `id_addifyrequestaquote`                     int(11) NOT NULL AUTO_INCREMENT,
        `field_active`                   TINYINT(2),
        `field_type`                  TEXT,
        `field_name`                  TEXT,
        `options`                     TEXT,
        `values_req`                 TINYINT(2),
        PRIMARY KEY  (`id_addifyrequestaquote`)
    ) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

    $sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifyrequestaquotecustomfields_lang` (
        `id_addifyrequestaquote`            INT(11) NOT NULL,
        `id_lang`                       INT(11) NOT NULL,
        `field_label`                       TEXT,
        `place_holder`                       TEXT,
        PRIMARY KEY                     (`id_addifyrequestaquote`, `id_lang`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

    $sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'addifyrequestaquotecustomfieldsdata` (

        `id_data`                     int(11) NOT NULL AUTO_INCREMENT,
        `id_request`                    int(11) NOT NULL,
        `id_field`                     int(11) NOT NULL,
        `field_label`                 TEXT,
        `field_type`                  TEXT,
        `field_name`                  TEXT,
        `field_options`               TEXT,
        `field_value`                 TEXT,
        `field_name_id`                 TEXT,

        PRIMARY KEY  (`id_data`)
    ) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

    $sql[] = 'CREATE TABLE IF NOT EXISTS `' ._DB_PREFIX_.'addifyrfqallmessages` (
    `id_quotemessage` int(11) NOT NULL AUTO_INCREMENT,
    `quote_id`                       int(11),
    `id_customer`                    int(11),
    `unreadmsg`                    int(11),
    `customer_name`                           TEXT,
    `email`                          TEXT,
    `quote_name`                     TEXT,
    `message`                     TEXT,
    `date_upd`                       DATE,
    `date_add`                       DATE,
    PRIMARY KEY  (`id_quotemessage`)
        ) ENGINE='._MYSQL_ENGINE_.' DEFAULT CHARSET=utf8;';

    foreach ($sql as $query) {
        if (Db::getInstance()->execute($query) == false) {
            return false;
        }
    }
    return true;
}