{*
* 2024 Addify
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    Addify
*  @copyright 2024 Addify
*  @license   http://opensource.org/licenses/afl-3.0.php
*}



{extends file="helpers/form/form.tpl"}

{block name="input"}

    {if $input.type == "addifydisclaimer_product"}
      <div id="type_product" class="col-lg-9">
        <input type="hidden" name="inputRestrictedProducts" id="inputRestrictedProducts" value="{if isset($products) AND $products}{foreach from=$products item=product}{$product.id_product|escape:'htmlall':'UTF-8'}-{/foreach}{/if}" />
        <input type="hidden" name="nameRestrictedProducts" id="nameRestrictedProducts" value="{if isset($products) AND $products}{foreach from=$products item=product}{$product.name|escape:'html':'UTF-8'}¤{/foreach}{/if}" />
        <div id="ajax_choose_product">
          <div class="input-group">
            <input type="text" id="restricted_product_input" name="restricted_product_input" />
            <span class="input-group-addon"><i class="icon-search"></i></span>
          </div>
        </div>
        <p class="help-block">{l s='Search and add product(s) to show Request A Quote.' mod='addifyrequestaquote'}</p>
        <br>

        <div id="divRestrictedProducts">
          {if isset($products) AND $products}
            {foreach from=$products item=product}
              <div class="form-control-static panel">
                <button type="button" class="btn btn-danger delRestrictedProducts" name="{$product.id_product|escape:'htmlall':'UTF-8'}">
                  <i class="icon-trash text-danger"></i>
                </button>
                <input type="hidden" name="product[]" value="{$product.id_product|escape:'htmlall':'UTF-8'}">
                {$product.name|escape:'html':'UTF-8'}{if !empty($product.reference)}&nbsp;{l s='(ref: %s)' sprintf=$product.reference mod='addifyrequestaquote'}{/if}
              </div>
            {/foreach}
          {/if}
        </div>
      </div>
      <div class="clearfix"></div>
    {elseif $input.type == "araq_customers"}
      <div id="type_product_1" class="col-lg-9">
        <input type="hidden" name="inputRestrictedProducts_1" id="inputRestrictedProducts_1" value="{if isset($araq_customers) AND $araq_customers}{foreach from=$araq_customers item=araq_customer}{$araq_customer.id_customer|escape:'htmlall':'UTF-8'}-{/foreach}{/if}" />
        <input type="hidden" name="nameRestrictedProducts_1" id="nameRestrictedProducts_1" value="{if isset($araq_customers) AND $araq_customers}{foreach from=$araq_customers item=araq_customer}{$araq_customer.firstname|escape:'html':'UTF-8'}&nbsp;{$araq_customer.lastname|escape:'html':'UTF-8'}&nbsp;{if !empty($araq_customer.email)}&nbsp;{l s='(ref: %s)' sprintf=$araq_customer.email mod='addifyrequestaquote'}{/if}¤{/foreach}{/if}" />
        <div id="ajax_choose_product_1">
          <div class="input-group">
            <input type="text" id="restricted_product_input_1" name="restricted_product_input_1 "/>
            <span class="input-group-addon"><i class="icon-search"></i></span>
          </div>
        </div>
        
        <p class="help-block">
            {l s='Search or select the customer you want for the quote, or ' mod='addifyrequestaquote'}
            <a href="{$context_link->getAdminLink('AdminCustomers')|escape:'html':'UTF-8'}" target="_blank" style="text-decoration: none;">
                {l s='add a new customer here' mod='addifyrequestaquote'}
            </a>.
        </p>

        <br>

        <div id="divRestrictedProducts_1">
          {if isset($araq_customers) AND $araq_customers}
            {foreach from=$araq_customers item=araq_customer}
              <div class="form-control-static panel">
                <button type="button" class="btn btn-danger delRestrictedProducts_1" name="{$araq_customer.id_customer|escape:'htmlall':'UTF-8'}">
                  <i class="icon-trash text-danger"></i>
                </button>
                <input type="hidden" name="araq_customer[]" value="{$araq_customer.id_customer|escape:'htmlall':'UTF-8'}">
                {$araq_customer.firstname|escape:'html':'UTF-8'}&nbsp;{$araq_customer.lastname|escape:'html':'UTF-8'}&nbsp;{if !empty($araq_customer.email)}&nbsp;{l s='(ref: %s)' sprintf=$araq_customer.email mod='addifyrequestaquote'}{/if}
              </div>
            {/foreach}
          {/if}
        </div>
      </div>
      <div class="clearfix"></div>
    {elseif $input.type == "araq_products"}
      <div id="type_product_2" class="col-lg-9">
        <input type="hidden" name="inputRestrictedProducts_2" id="inputRestrictedProducts_2" value="{if isset($araq_products) AND $araq_products}{foreach from=$araq_products item=araq_product}{if isset($araq_product.ids_product)}{$araq_product.ids_product|escape:'htmlall':'UTF-8'}{/if},{/foreach}{/if}" />
        <input type="hidden" name="nameRestrictedProducts_2" id="nameRestrictedProducts_2" value="{if isset($araq_products) AND $araq_products}{foreach from=$araq_products item=araq_product}{if isset($araq_product.name)}{$araq_product.name|escape:'html':'UTF-8'}{/if}{if isset($araq_product.product_attribute)}{$araq_product.product_attribute|escape:'html':'UTF-8'}{/if}-{if isset($araq_product.product_reference)}{$araq_product.product_reference|escape:'html':'UTF-8'}{/if}¤{/foreach}{/if}" />
        <div id="ajax_choose_product_2">
          <div class="input-group">
            <input type="text" id="restricted_product_input_2" name="restricted_product_input_2" />
            <span class="input-group-addon"><i class="icon-search"></i></span>
          </div>
          <p class="help-block">{l s='Search and add product(s) for rule.' mod='addifyrequestaquote'}</p>
  
        </div>
        
        <div id="divRestrictedProducts_2">
          {if isset($araq_products) AND $araq_products}
            {foreach from=$araq_products item=araq_product}
              <div class="form-control-static panel">
                <button type="button" class="btn btn-danger delRestrictedProducts_2" name="{if isset($araq_product.ids_product)}{$araq_product.ids_product|escape:'htmlall':'UTF-8'}{/if}">
                  <i class="icon-trash text-danger"></i>
                </button>
                <input type="hidden" name="araq_product[]" value="{if isset($araq_product.ids_product)}{$araq_product.ids_product|escape:'htmlall':'UTF-8'}{/if}">
                {if isset($araq_product.name)}{$araq_product.name|escape:'html':'UTF-8'}{/if}{if isset($araq_product.product_attribute)}{$araq_product.product_attribute|escape:'html':'UTF-8'}-{/if}{if isset($araq_product.product_reference)}{$araq_product.product_reference|escape:'html':'UTF-8'}{/if}{if !empty($araq_product.reference)}&nbsp;{l s='(ref: %s)' sprintf=$araq_product.reference mod='addifyrequestaquote'}{/if}
                <div class="araq-prefill-val">
                  <br>
                  <div class="form-group">
                    <label class="control-label col-lg-4" style="padding-left: 0px; padding-right: 0px;">{l s='Quantity' mod='addifyrequestaquote'}</label>
                    <div class="col-lg-8">
                      <input type="number" class="araq_quantity form-control" id="min{$araq_product.id_product|escape:'htmlall':'UTF-8'}" value={if isset($pro_val[$araq_product.id_product])} "{$pro_val[$araq_product.id_product]['min']|escape:'htmlall':'UTF-8'}"{else} "1" {/if} style = "width: 80px;" onchange = "araq_prefill({$araq_product.id_product|escape:'htmlall':'UTF-8'})">
                    </div>
                  </div>
                </div>
              </div>
            {/foreach}
          {/if}
        </div>
      </div>
      <input type="hidden" name="product_values" id="product_values" value="{$product_values_full|escape:'htmlall':'UTF-8'}">
      <div class="clearfix"></div>
    {else}
      {$smarty.block.parent}
    {/if}
{/block}

{block name="script"}

  hideCustomerAddress(); // hide customer address

  function showCustomerAddress() { // ------- show customer address ------------
    $('select[name="customer_address_field"]').closest('.form-group').show(); // show customer address
  }

  function hideCustomerAddress() { // ------- hide customer address ------------
    $('select[name="customer_address_field"]').closest('.form-group').hide(); // hide customer address
  }
  
  var active_type = "{if isset($fields_value) AND isset($fields_value.type)}{$fields_value.type|escape:'htmlall':'UTF-8'}{/if}";
  if (typeof active_type === 'undefined' || active_type === '') {
    active_type = $('#type option:selected').val();
  }

  init_types(active_type);

  $(document).on('change', '#type', function(){
    init_types($(this).val());
  });

  $('#divRestrictedProducts').delegate('.delRestrictedProducts', 'click', function(){
    self.delRestrictedProducts($(this).attr('name'));
  });
  
  var options = {
    minChars: 1,
    autoFill: true,
    max:20,
    matchContains: true,
    mustMatch:false,
    scroll:false,
    cacheLength:0,
    formatItem: function(item) {
      var itemStringToReturn = item[item.length - 1];
      for(var istr = 0; istr < item.length - 1;istr++) {
        itemStringToReturn += " " + item[istr];
      }
      return itemStringToReturn;
    },
    
  };

  $('#restricted_product_input')
  .autocomplete("{$context_link->getAdminLink('AdminAddifyrequestaquote') nofilter}&exclude_packs=0&excludeVirtuals=0",options)
  .result(addProduct);
  $('#restricted_product_input').setOptions({
    extraParams: {
      ajax: true,
      action: 'getProducts',
      excludeIds: getRestrictedProduct()
    }
  });

  function addProduct(event, data, formatted)
  {
    if (data !== null) {
      var productId = data[1];
      var productName = data[0];

      var $divRestrictedProducts = $('#divRestrictedProducts');
      var $inputRestrictedProducts = $('#inputRestrictedProducts');
      var $nameRestrictedProducts = $('#nameRestrictedProducts');

      /* delete product from select + add product line to the div, input_name, input_ids elements */
      $divRestrictedProducts.html($divRestrictedProducts.html() + '<div class="form-control-static panel"><button type="button" class="delRestrictedProducts btn btn-danger" name="' + productId + '"><i class="icon-trash text-danger"></i></button>&nbsp;'+ productName +'</div><input type="hidden" name="product[]" value="' + productId + '">');
      $nameRestrictedProducts.val($nameRestrictedProducts.val() + productName + '¤');
      ($inputRestrictedProducts.val() !== 'undefined')?$inputRestrictedProducts.val($inputRestrictedProducts.val() + productId + '-'):$inputRestrictedProducts.val(productId + '-');
      $('#restricted_product_input').val('');
      $('#restricted_product_input').setOptions({
        extraParams: {
          ajax: true,
          action: 'getProducts',
          excludeIds : getRestrictedProduct()
        }
      });
    }
  }

  function getRestrictedProduct() {
    if ($('#inputRestrictedProducts').val() !== undefined) {
      return $('#inputRestrictedProducts').val().replace(/\-/g,',');
    }
  }

  function delRestrictedProducts(id)
  {
    var div = getE('divRestrictedProducts');
    var input = getE('inputRestrictedProducts');
    var name = getE('nameRestrictedProducts');

    // Cut hidden fields in array
    var inputCut = input.value.split('-');
    var nameCut = name.value.split('¤');

    if (inputCut.length != nameCut.length) {
      return jAlert('Bad size');
    }

    // Reset all hidden fields
    input.value = '';
    name.value = '';
    div.innerHTML = '';
    for (i in inputCut)
    {
      // If empty, error, next
      if (!inputCut[i] || !nameCut[i]) {
        continue ;
      }

      // Add to hidden fields no selected products OR add to select field selected product
      if (inputCut[i] != id) {
        input.value += inputCut[i] + '-';
        name.value += nameCut[i] + '¤';
        div.innerHTML += '<div class="form-control-static panel"><button type="button" class="delRestrictedProducts btn btn-danger" name="' + inputCut[i] +'"><i class="icon-trash text-danger"></i></button>&nbsp;' + nameCut[i] + '</div><input type="hidden" name="product[]" value="' + inputCut[i] +'">';
      } else {
        $('#selectRestrictedProducts').append('<option selected="selected" value="' + inputCut[i] + '-' + nameCut[i] + '">' + inputCut[i] + ' - ' + nameCut[i] + '</option>');
      }
    }

    $('#restricted_product_input').setOptions({
      extraParams: {
        ajax: true,
        action: 'getProducts',
        excludeIds : getRestrictedProduct()
      }
    });
  };

  function init_types(active_type) {
    if (active_type==2) {
      $('#type_product').closest('.form-group').show();
      $('#type_category').closest('.form-group').hide();
      $('#Manufacturer').closest('.form-group').hide();
      $('#Supplier').closest('.form-group').hide();
      $('input[name="product_active"]').closest('.form-group').show();
      $('input[name="supplier_active"]').closest('.form-group').hide();
      $('input[name="category_active"]').closest('.form-group').hide();
      $('input[name="manufacturer_active"]').closest('.form-group').hide();

      if (document.getElementById("product_active_off")) {
        var ip = document.getElementById("product_active_off").checked;
        if (ip != "") {
          $("#type_product").parent().parent().hide();
        }
      }
    } else {
      $('#type_product').closest('.form-group').hide();
      $('#type_category').closest('.form-group').show();
      $('#Manufacturer').closest('.form-group').show();
      $('#Supplier').closest('.form-group').show();
      $('input[name="product_active"]').closest('.form-group').hide();
      $('input[name="supplier_active"]').closest('.form-group').show();
      $('input[name="category_active"]').closest('.form-group').show();
      $('input[name="manufacturer_active"]').closest('.form-group').show();

      if (document.getElementById("manufacturer_active_off")) {
        var ip = document.getElementById("manufacturer_active_off").checked;
        if (ip != "") {
          $("#Manufacturer").parent().parent().hide();
        }
      }

      if (document.getElementById("supplier_active_off")) {
        var ip = document.getElementById("supplier_active_off").checked;
        if (ip != "") {
          $("#Supplier").parent().parent().hide();
        }
      }

      if (document.getElementById("category_active_off")) {
        var ip = document.getElementById("category_active_off").checked;
        if (ip != "") {
          $("#type_category").parent().parent().parent().hide();
        }
      }
    }
  }

  $("#product_active_on").click(function(){
   $("#type_product").parent().parent().show();
  });

  $("#product_active_off").click(function(){
     $("#type_product").parent().parent().hide();
  });

  $("#manufacturer_active_on").click(function(){
   $("#Manufacturer").parent().parent().show();
  });

  $("#manufacturer_active_off").click(function()  {
     $("#Manufacturer").parent().parent().hide();
  });
    
  $("#supplier_active_on").click(function(){
   $("#Supplier").parent().parent().show();
  });

  $("#supplier_active_off").click(function(){
     $("#Supplier").parent().parent().hide();
  });

  $("#category_active_on").click(function(){
   $("#type_category").parent().parent().parent().show();
  });

  $("#category_active_off").click(function(){
     $("#type_category").parent().parent().parent().hide();
  });

  $("#group_active_on").click(function(){
    $(".groupBox").parent().parent().parent().parent().parent().parent().parent().parent().show();
  });

  $("#group_active_off").click(function(){
    $(".groupBox").parent().parent().parent().parent().parent().parent().parent().parent().hide();
  });


  if (document.getElementById("group_active_off")) {
    var ip = document.getElementById("group_active_off").checked;
    if (ip != "") {
      $(".groupBox").parent().parent().parent().parent().parent().parent().parent().parent().hide();
    }
  }

  if (document.getElementById("product_active_off")) {
    var ip = document.getElementById("product_active_off").checked;
    if (ip != "") {
      $("#type_product").parent().parent().hide();
    }
  }

  if (document.getElementById("manufacturer_active_off")) {
    var ip = document.getElementById("manufacturer_active_off").checked;
    if (ip != "") {
      $("#Manufacturer").parent().parent().hide();
    }
  }

  if (document.getElementById("supplier_active_off")) {
    var ip = document.getElementById("supplier_active_off").checked;
    if (ip != "") {
      $("#Supplier").parent().parent().hide();
    }
  }

  if (document.getElementById("category_active_off")) {
    var ip = document.getElementById("category_active_off").checked;
    if (ip != "") {
      $("#type_category").parent().parent().parent().hide();
    }
  }

  $("#aadifyraq_semail_enable_off").click(function(){
   $("#aadifyraq_semail").parent().parent().hide();
  });

  $("#aadifyraq_semail_enable_on").click(function(){
    $("#aadifyraq_semail").parent().parent().show();
  });

  if (document.getElementById("aadifyraq_semail_enable_off")) {
    var ip = document.getElementById("aadifyraq_semail_enable_off").checked;
    if (ip != "") {
      $("#aadifyraq_semail").parent().parent().hide();
    }
  }

  if (document.getElementById("field_type")) {
    document.getElementById("field_type").addEventListener("change", hideOptionCustomFields);
  }
 
  // custom fields
  function hideOptionCustomFields() {
    var field_type = $("#field_type").val();
    if (field_type == 'checkbox' || field_type == 'radio'  || field_type == 'multiselect' || field_type == 'select' ||
      field_type == 'multicheckbox') {
      $("#options").parent().parent().show();
    }
    else{
      $("#options").parent().parent().hide();
    }

    if (field_type == 'fileupload') { // file uploading custom field
      $("#options").parent().parent().hide();
    }    
  }

  $(document).ready(function(){
     hideOptionCustomFields();  
  });

  $(document).ajaxComplete(function() {
     hideOptionCustomFields(); 
  });

  //FOR CUSTOMER
  $('#divRestrictedProducts_1').delegate('.delRestrictedProducts_1', 'click', function f(){
    self.delRestrictedProducts_1($(this).attr('name'));
       hideCustomerAddress(); // hide customer address
  });

  var options_1 = {
    minChars: 1,
    autoFill: true,
    max:20,
    matchContains: true,
    mustMatch:false,
    scroll:false,
    cacheLength:0,
    formatItem: function f(item) {
      var itemStringToReturn_1 = item[item.length - 1];
      for(var istr = 0; istr < item.length - 1;istr++) {
        itemStringToReturn_1 += " " + item[istr];
      }
      return itemStringToReturn_1;
    },
    
  };

  $('#restricted_product_input_1')
  .autocomplete("{$context_link->getAdminLink('AdminAddifyrequestaquotecustomer') nofilter}&exclude_packs=0&excludeVirtuals=0",options_1)
  .result(addProduct_1);
  $('#restricted_product_input_1').setOptions({
    extraParams: {
      ajax: true,
      action: 'getProducts',
      excludeIds: getRestrictedProduct_1()
    }
  });

  function addProduct_1(event, data_1, formatted) {
    if (data_1 !== null) {
      var productId_1 = data_1[1];
      var productName_1 = data_1[0];
      var customer_address = data_1[2];

      // ---------- when customer id match so bring customer addresses -----------
      var selectElement = document.getElementById('customer_address_field');
        if (selectElement) {
        var options = selectElement.options;
        for (var i = 0; i < options.length; i++) {
            var customer_id = options[i].value;
            if (customer_id == productId_1) {
              options[i].style.display = 'block';
            } else {
              options[i].style.display = 'none';
            }
        }
      }
      // ---------- end customer id match bring customer addresses -----------
      var $divRestrictedProducts_1 = $('#divRestrictedProducts_1');
      var $inputRestrictedProducts_1 = $('#inputRestrictedProducts_1');
      var $nameRestrictedProducts_1 = $('#nameRestrictedProducts_1');

      /* delete product from select + add product line to the div, input_name, input_ids elements */
      $divRestrictedProducts_1.html($divRestrictedProducts_1.html() + 
        '<div class="form-control-static panel"><button type="button" class="delRestrictedProducts_1 btn btn-danger" name="' + 
        productId_1 + '"><i class="icon-trash text-danger"></i></button>&nbsp;'+
        productName_1 +'</div><input type="hidden" name="araq_customer[]" value="' + productId_1 + '">');
      $nameRestrictedProducts_1.val($nameRestrictedProducts_1.val() + productName_1 + '¤');
      ($inputRestrictedProducts_1.val() !== 'undefined')?$inputRestrictedProducts_1.val($inputRestrictedProducts_1.val() + 
        productId_1 + '-'):$inputRestrictedProducts_1.val(productId_1 + '-');


      $('#restricted_product_input_1').val('');
      $('#restricted_product_input_1').setOptions({
        extraParams: {
          ajax: true,
          action: 'getProducts',
          excludeIds : getRestrictedProduct_1()
        }
      });
    }

    var inputdiv = getE('divRestrictedProducts_1');
    if (inputdiv) {
      var findlen = $("#divRestrictedProducts_1").find("input");
      if (findlen.length != 0) {
        if($("#divRestrictedProducts_1").find("input")) {
          $('#restricted_product_input_1').attr('readonly', true);
           showCustomerAddress(); // show customer address
        }
      }
      else {
        $('#restricted_product_input_1').attr('readonly', false);
          hideCustomerAddress(); // hide customer address        
      }
    }
  }

  function getRestrictedProduct_1() {
    if ($('#inputRestrictedProducts_1').val() !== undefined) {
      return $('#inputRestrictedProducts_1').val().replace(/\-/g,',');
    }
  }

  function delRestrictedProducts_1(id) {
    var div_1 = getE('divRestrictedProducts_1');
    var input_1 = getE('inputRestrictedProducts_1');
    var name_1 = getE('nameRestrictedProducts_1');

    // Cut hidden fields in array
    var inputCut_1 = input_1.value.split('-');
    var nameCut_1 = name_1.value.split('¤');

    if (inputCut_1.length != nameCut_1.length) {
      return jAlert('Bad size');
    }

    // Reset all hidden fields
    input_1.value = '';
    name_1.value = '';
    div_1.innerHTML = '';
    for (i in inputCut_1) {
      // If empty, error, next
      if (!inputCut_1[i] || !nameCut_1[i]) {
        continue ;
      }

      // Add to hidden fields no selected products OR add to select field selected product
      if (inputCut_1[i] != id) {
        input_1.value += inputCut_1[i] + '-';
        name_1.value += nameCut_1[i] + '¤';
        div_1.innerHTML += '<div class="form-control-static panel"><button type="button" class="delRestrictedProducts_1 btn btn-danger" name="' + inputCut_1[i] +'"><i class="icon-trash text-danger"></i></button>&nbsp;' + nameCut_1[i] + '</div><input type="hidden" name="araq_customer[]" value="' + inputCut_1[i] +'">';
      } else {
        $('#selectRestrictedProducts_1').append('<option selected="selected" value="' + inputCut_1[i] + '-' + nameCut_1[i] + '">' + inputCut_1[i] + ' - ' + nameCut_1[i] + '</option>');
      }
    }

    $('#restricted_product_input_1').setOptions({
      extraParams: {
        ajax: true,
        action: 'getProducts',
        excludeIds : getRestrictedProduct_1()
      }
    });

    var inputdiv = getE('divRestrictedProducts_1');
    if (inputdiv) {
      var findlen = $("#divRestrictedProducts_1").find("input");
      if (findlen.length != 0) {
        if($("#divRestrictedProducts_1").find("input")){
          $('#restricted_product_input_1').attr('readonly', true);
        }
      }
      else{
        $('#restricted_product_input_1').attr('readonly', false);
      }
    }
  };

  //for admin quote product
  $('#divRestrictedProducts_2').delegate('.delRestrictedProducts_2', 'click', function(){
    self.delRestrictedProducts_2($(this).attr('name'));
  });
  
  var options_2 = {
    minChars: 1,
    autoFill: true,
    max:20,
    matchContains: true,
    mustMatch:false,
    scroll:false,
    cacheLength:0,
    formatItem: function(item) {
      var itemStringToReturn_2 = item[item.length - 1];
      for(var istr = 0; istr < item.length - 1;istr++) {
        itemStringToReturn_2 += " " + item[istr];
      }
      return itemStringToReturn_2;
    },
    
  };

  $('#restricted_product_input_2')
  .autocomplete("{$context_link->getAdminLink('AdminAddifyrequestaquoteproduct') nofilter}&exclude_packs=0&excludeVirtuals=0",options_2)
  .result(addProduct_2);
  $('#restricted_product_input_2').setOptions({
    extraParams: {
      ajax: true,
      action: 'getProducts',
      excludeIds: getRestrictedProduct_2()
    }
  });

  function addProduct_2(event, data_2, formatted) {
    if (data_2 !== null) {
      var bothIds_2 = data_2[1].split("-");
      var productId_2 = bothIds_2[0];
      var attributeId_2 = bothIds_2[1];
      var productName_2 = data_2[0];
      var $divRestrictedProducts_2 = $('#divRestrictedProducts_2');
      var $inputRestrictedProducts_2 = $('#inputRestrictedProducts_2');
      var $nameRestrictedProducts_2 = $('#nameRestrictedProducts_2');

      //Rest minimum after changing products
      var minimumInputes= document.getElementsByClassName("araq_quantity");
      var minimumInputeValues= [];
      for(let i=0; i< minimumInputes.length; i++){
        minimumInputeValues.push([minimumInputes[i].value,minimumInputes[i].id])
      }
      
      /* delete product from select + add product line to the div, input_name, input_ids elements */
      $divRestrictedProducts_2.html($divRestrictedProducts_2.html() + '<div class="form-control-static panel"><button type="button" class="delRestrictedProducts_2 btn btn-danger" name="' + data_2[1] + '"><i class="icon-trash text-danger"></i></button>&nbsp;'+ productName_2 +'<div class="araq-prefill-val"><br><div class="form-group"><label class="control-label col-lg-4" style="padding-left: 0px; padding-right: 0px;">{l s='Quantity' mod='addifyrequestaquote'}</label><div class="col-lg-8"><input type="number" class="araq_quantity form-control" id="min'+productId_2+'" value="1" style = "width: 80px;" onchange = "araq_prefill('+productId_2+')"></div></div></div></div><input type="hidden" name="araq_product[]" value="' + data_2[1] + '">');
      araq_prefill(0);     

      for(let i=0; i < minimumInputeValues.length; i++){
       
        var field= document.getElementById(minimumInputeValues[i][1]);
        if(field){
          field.value= minimumInputeValues[i][0];
        }
      } 

      $nameRestrictedProducts_2.val($nameRestrictedProducts_2.val() + productName_2 + '¤');
      ($inputRestrictedProducts_2.val() !== 'undefined')?$inputRestrictedProducts_2.val($inputRestrictedProducts_2.val() + data_2[1] + ','):$inputRestrictedProducts_2.val(data_2[1] + ',');
      $('#restricted_product_input_2').val('');
      $('#restricted_product_input_2').setOptions({
        extraParams: {
          ajax: true,
          action: 'getProducts',
          excludeIds : getRestrictedProduct_2()
        }
      });
    }
  }

  function araq_prefill($val) {
    const allproducts = document.querySelectorAll('.araq_quantity');
    let values = '';

    allproducts.forEach((product, index) => {
      const min = product.value;
      const id = product.id.replace('min', '');
      if (values === '') {
        values = id + '-' + min;
      } else {
        values += ',' + id + '-' + min;
      }
    });
    document.getElementById('product_values').value = values;
  }

  function getRestrictedProduct_2() {
    if ($('#inputRestrictedProducts_2').val() !== undefined) {
      return $('#inputRestrictedProducts_2').val();
    }
  }

  function delRestrictedProducts_2(id) {

    var div_2 = getE('divRestrictedProducts_2');
    var input_2 = getE('inputRestrictedProducts_2');
    var name_2 = getE('nameRestrictedProducts_2');
    
    // Cut hidden fields in array
    var inputCut_2 = input_2.value.split(',');
    var nameCut_2 = name_2.value.split('¤');

    // Reset all hidden fields
    input_2.value = '';
    name_2.value = '';
    div_2.innerHTML = '';
    for (i in inputCut_2)
    {
      // If empty, error, next
      if (!inputCut_2[i] || !nameCut_2[i]) {
        continue ;
      }

      // Add to hidden fields no selected products OR add to select field selected product
      if (inputCut_2[i] != id) {
        input_2.value += inputCut_2[i] + ',';
        name_2.value += nameCut_2[i] + '¤';
        div_2.innerHTML += '<div class="form-control-static panel"><button type="button" class="delRestrictedProducts_2 btn btn-danger" name="' + inputCut_2[i] +'"><i class="icon-trash text-danger"></i></button>&nbsp;' + nameCut_2[i] + '<div class="araq-prefill-val"><br><div class="form-group"><label class="control-label col-lg-4" style="padding-left: 0px; padding-right: 0px;">{l s='Quantity' mod='addifyrequestaquote'}</label><div class="col-lg-8"><input type="number" class="araq_quantity form-control" id="min' + inputCut_2[i] +'" value="1" style = "width: 80px;" onchange = "araq_prefill('+inputCut_2[i]+')"></div></div></div></div><input type="hidden" name="araq_product[]" value="' + inputCut_2[i] +'">';
      } else {

        $('#selectRestrictedProducts_2').append('<option selected="selected" value="' + inputCut_2[i] + '-' + nameCut_2[i] + '">' + inputCut_2[i] + ' - ' + nameCut_2[i] + '</option>');
      
      }
    }

    var minimumInputes= document.getElementsByClassName("araq_quantity");
      var minimumInputeValues= [];
      for(let i=0; i< minimumInputes.length; i++){
        minimumInputeValues.push([minimumInputes[i].value,minimumInputes[i].id])
      }

     araq_prefill(0);      
      
      for(let i=0; i < minimumInputeValues.length; i++){
        var field= document.getElementById(minimumInputeValues[i][1]);
        if(field){
          field.value= minimumInputeValues[i][0];
        }
      } 

    $('#restricted_product_input_2').setOptions({
      extraParams: {
        ajax: true,
        action: 'getProducts',
        excludeIds : getRestrictedProduct_2()
      }
    });
  };

$(document).ready(function() {
    var inputdiv = getE('divRestrictedProducts_1');
    if (inputdiv) {
      var findlen = $("#divRestrictedProducts_1").find("input");
      if (findlen.length != 0) {
        if($("#divRestrictedProducts_1").find("input")){
          $('#restricted_product_input_1').attr('readonly', true);
        }
      }
      else{
        $('#restricted_product_input_1').attr('readonly', false);
      }
    }
  });

  $(document).ajaxComplete(function() {
    var inputdiv = getE('divRestrictedProducts_1');
    if (inputdiv) {
      var findlen = $("#divRestrictedProducts_1").find("input");
      if (findlen.length != 0) {
        if($("#divRestrictedProducts_1").find("input")){
          $('#restricted_product_input_1').attr('readonly', true);
        }
      }
      else{
        $('#restricted_product_input_1').attr('readonly', false);
      }
    }
  });

  if (document.getElementById('customer_address_field')) {
    document.getElementById('customer_address_field').style.setProperty('width', '418px', 'important');
  }


  if (document.getElementById('quote_product_discount')) {
    document.getElementById('quote_product_discount').style.setProperty('width', '240px', 'important');
  }


  if (document.getElementById('shipping_field')) {
    document.getElementById('shipping_field').style.setProperty('width', '240px', 'important');
  }
  
  

{/block}