{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<form id="configuration_form" class="form-horizontal" action="{$formurl|escape:'htmlall':'UTF-8'}" method="post" enctype="multipart/form-data" novalidate="">
	<div class="panel" id="fieldset_0">
		<div class="panel-heading">

			{if $quotemessages}
			<i class="icon-cogs"></i>	{l s='Threads related to Quotation ID: ' mod='addifyrequestaquote'}{$quotemessages[0]['quote_id']|escape:'htmlall':'UTF-8'}
			{else}
			<i class="icon-cogs"></i>	{l s='Quotation Message: ' mod='addifyrequestaquote'}
			{/if}  
		</div>
		{if $quotemessagealert}
            <p class="alert alert-success">{l s='Message Sent' mod='addifyrequestaquote'}</p>
        {/if}  
		<div class="col-lg-12" id="addify_message_tree">

			{if $quotemessages}
			<ul>
                {$db_message  = $quotemessages[0]['message']}
                {$exp_message  = explode(",", $db_message)}

                {foreach from=$exp_message key=exp_message_key item=message_item}

                    {$exp_message_item  = explode("|>", $message_item)}

                    {$sender_type  = $exp_message_item['0']}
                    {$date  = $exp_message_item['1']}
                    {$message  = $exp_message_item['2']}

                    {if $sender_type == 1}
                    <li class="addify_level_thread_1">{$message|escape:'htmlall':'UTF-8'}<span class="date">{l s='Posted: ' mod='addifyrequestaquote'} {$date|escape:'htmlall':'UTF-8'}</span></li>
                    {/if}
                    {if $sender_type == 0}
                    <li class="addify_level_thread_0">{$message|escape:'htmlall':'UTF-8'}<span class="date">{l s='Posted: ' mod='addifyrequestaquote'} {$date|escape:'htmlall':'UTF-8'}</span></li>
                    {/if}

                {/foreach}
            </ul>
            {/if}  
            <div class="form-group">
                <label class="control-label col-lg-2">{l s='Message' mod='addifyrequestaquote'}</label>
                <div class="col-lg-9">
                    <textarea class="textarea-autosize" rows="6" name="rfq_message" required></textarea>
                </div>
            </div>
        </div>
        <div class="panel-footer">
            <a href="{$backurl|escape:'htmlall':'UTF-8'}" class="btn btn-default pull-left" type="submit">
                <i class="process-icon-back"></i>{l s=' Back to List' mod='addifyrequestaquote'}
            </a>
            <a href="{$quotation_url|escape:'htmlall':'UTF-8'}" class="btn btn-default pull-left" type="submit" style="margin-left: 20px;">
                <i class="process-icon-back"></i>{l s='Go to quotation' mod='addifyrequestaquote'}
            </a>

            <button name="submitaddifyrfqMessage" class="btn btn-default pull-right" type="submit">
                <i class="process-icon-envelope"></i>{l s='Send' mod='addifyrequestaquote'}
            </button>
        </div>
	</div>
</form>




