{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}


<style>

	.parent-div-quote-table {
	    overflow-x: auto;
	}

	.parent-div-quote-table table {
	    width: 100%; /* Ensure the table takes up the full width of its container */
	    max-width: 100%;
	    background: royalBlue;
	    color: white;
	    border-collapse: collapse; /* Optional: To avoid spacing between table cells */
	}

	/* Adjust table and its contents for smaller screens */
	@media (max-width: 768px) {
	    .parent-div-quote-table table {
	        font-size: 0.9rem; /* Adjust font size if necessary */
	    }
	}

        
/* ----------- Expiry date ------------------- */
    .container-generate-cart {
        padding: 10px;
        max-width: 50%;
        box-sizing: border-box;
        background-color: #f9f9f9;
        overflow: hidden;
    }

    .container-generate-cart b {
        display: block;
        margin-bottom: 10px;
        font-size: 1.1em;
    }

    .container-generate-cart input[type="date"],
    .container-generate-cart button {
        display: block;
        width: 100%;
        margin-bottom: 10px;
        box-sizing: border-box;
    }

    .container-generate-cart h {
        margin: 10px 0;
        font-size: 1em;
        color: #333;
    }

    .container-generate-cart input[type="hidden"] {
        display: none;
    }

    .btn-custom {
        background: black;
        color: white;
        font-weight: bold;
        border: none;
        padding: 10px 20px;
        cursor: pointer;
        transition: background-color 0.3s;
    }

    .btn-custom:hover {
        background: navy;
    }

/* ------------------- Customer-information description --------------- */
	
	.container-client-info {
	    background-color: #f8f9fa;	    
	    padding: 1.5rem;
	    margin-bottom:20px;
	}

	.container-client-info p {
	    margin-bottom: 0.75rem;
	    color:black;
	}

	.container-client-info label {
	    font-weight: bold;
	    color: #333;
	    margin-right: 0.5rem;
	}

	.container-client-info h3 {
	    font-size: 1.25rem; 
	    color: #007bff;
	    margin-top: 1rem;
	    margin-bottom: 0.5rem;
	}

	.container-client-info h3 a {
	    color: #007bff;
	    text-decoration: none;
	    transition: color 0.3s ease;
	}

	.container-client-info h3 a:hover {
	    color: #0056b3;
	}

	.cuctomer-info-titles {
		font-size:13px;
	}

	/* Responsive adjustments */
	@media (max-width: 768px) {
	    .container-client-info {
	        padding: 1rem;
	    }

	    .container-client-info p {
	        font-size: 1rem; 
	    }

	    .container-client-info h3 {
	        font-size: 1.125rem; 
	    }
	}


/* ------------ Link Styling ------------ */
	.container-client-info a {
	    color: #007bff;
	    text-decoration: none;
	    word-break: break-word;
	}

	.container-client-info a:hover {
	    text-decoration: underline;
	}

	.container-client-info {
	    display: flex;
	    flex-direction: column;
	}

/* ------------------ Admin Note  -------------- */  

	fieldset.admin-note {
	    margin-bottom: 1.5rem;
	    background-color: #f8f9fa;
	    padding: 1rem;
	}

	fieldset.admin-note .form-control-label {
	    font-weight: bold;
	    color: #333;
	}

	fieldset.admin-note textarea {
	    width: 100%;
	    border: 1px solid #ced4da;
	}
/* ------------------ Send Customer Link ------------------------ */

    .send-cart-link-to-customer {
	    padding: 10px;
	    margin-bottom: 1.5rem;
	    background-color: #f8f9fa;
	    padding: 1rem;
	}

/* ------------------ Status -> Accept, Reject, Pending -------------- */

	.pending-accept-reject {
	    padding: 10px;
	    margin-bottom: 1.5rem;
	    background-color: #f8f9fa;
	    padding: 1rem;
	}


</style>

<form id="configuration_form" class="defaultForm form-horizontal" action="{$formurl|escape:'htmlall':'UTF-8'}" method="post" enctype="multipart/form-data" novalidate="">
	<div class="panel" id="fieldset_0">
		<div class="panel-heading">
			<i class="icon-cogs"></i>	{l s='Quote Request' mod='addifyrequestaquote'}
		</div>
		<div class="form-wrapper">

			<div class="">

				<table class="table table-striped" style="background-color:black; text-align:center; color:white;">
					<thead>
						<tr>
							<td><b>{l s='Quote Name' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Customer Name' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Customer Email' mod='addifyrequestaquote'}</b></td>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>
								{$quote_name|escape:'htmlall':'UTF-8'}
							</td>
							<td>
								{$Customer_name|escape:'htmlall':'UTF-8'}
							</td>
							<td>
								{$Customer_email|escape:'htmlall':'UTF-8'}
							</td>
						</tr>
					</tbody>
				</table>
				{if $id_customer > 0}
				<div class="" style="margin-top: 20px; min-height: 20px">
					<a href="{$messageurl|escape:'htmlall':'UTF-8'}" class="btn btn-default pull-right"><i class="icon-envelope"></i> {l s='View/Send messages' mod='addifyrequestaquote'}</a>
				</div>
				{/if}
				<br><br>
			</div>

			<input type="hidden" value="{$id_addifyrequestaquote|escape:'htmlall':'UTF-8'}" name="id_addifyrequestaquote">
			<input type="hidden" value="{$allid_product|escape:'htmlall':'UTF-8'}" name="allpids">
			<input type="hidden" value="{$allpattr|escape:'htmlall':'UTF-8'}" name="allpattr">
			<input type="hidden" value="{$allpname|escape:'htmlall':'UTF-8'}" name="allpname">
			<input type="hidden" value="{$admin_price|escape:'htmlall':'UTF-8'}" name="admin_price">
			<input type="hidden" value="{$allpsku|escape:'htmlall':'UTF-8'}" name="allpsku">
			<input type="hidden" value="{$allpimages|escape:'htmlall':'UTF-8'}" name="allpimages">
			<input type="hidden" value="{$allpinfo|escape:'htmlall':'UTF-8'}" name="allpinfo">
			<input type="hidden" value="{$original_price|escape:'htmlall':'UTF-8'}" name="original_price">
			<input type="hidden" value="{$number_of_products|escape:'htmlall':'UTF-8'}" name="total_products">

			<div class="parent-div-quote-table">
				<table class="table table-striped"style="background:black;color:white;">
					<thead>
						<tr>
							<td><b>{l s='ID' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Image' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Name' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='SKU' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Price' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Tax' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Discount' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Shipping Cost' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Info' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Quantity' mod='addifyrequestaquote'}</b></td>
							{if $aadifyraq_offered_mode == 1}
							<td><b>{l s='Offered Price' mod='addifyrequestaquote'}</b></td>
							{/if}
							<td><b>{l s='Admin Price' mod='addifyrequestaquote'}</b></td>
							<td><b>{l s='Total' mod='addifyrequestaquote'}</b></td>

						</tr>
					</thead>
					<tbody>
						{for $i=0 to $number_of_products-1}
						<tr style="border-bottom: 0.02px solid #877d7d;">

							<td>
								{$allid_productarr[$i]|escape:'htmlall':'UTF-8'}
							</td>

							<td>
								<img class="news-cat-main-img" src="{$allpimagesarr[$i]|escape:'htmlall':'UTF-8'}" alt="" width="50" height="50">
							</td>

							<td class="adq-product-name">
								{$allpnamearr[$i]|escape:'htmlall':'UTF-8'}
							</td>

							<td>
								{$allpskuarr[$i]|escape:'htmlall':'UTF-8'}
							</td>

							<td>
								{$original_pricearr[$i]|escape:'htmlall':'UTF-8'}
							</td>

							<td>
								{$pro_tax[$i]|escape:'htmlall':'UTF-8'}
							</td>

							<td>
								{$pro_DISCOUNT[$i]|escape:'htmlall':'UTF-8'}
							</td>

							<td>
								{$additional_shipping_cost[$i]|escape:'htmlall':'UTF-8'}
							</td>

							<td>
								{$allpinfoarr[$i]|escape:'htmlall':'UTF-8'}
							</td>

							<td>
								{$quantityarr[$i]|escape:'htmlall':'UTF-8'}
								<input type="hidden" value={$quantityarr[$i]|escape:'htmlall':'UTF-8'} name="quantity{$i|escape:'htmlall':'UTF-8'}">
							</td>

							{if $aadifyraq_offered_mode == 1}
							    {if isset($offered_pricearr[$i]) && $offered_pricearr[$i]|escape:'htmlall':'UTF-8' != ''}
							        <td>
							            {$offered_pricearr[$i]|escape:'htmlall':'UTF-8'}
							        </td>
							    {else}
							        <td></td>
							    {/if}
							{/if}

							<td>
								<input type="number" 
								value={$admin_pricearr[$i]|escape:'htmlall':'UTF-8'} 
								onkeyup="priceKeyUp({$number_of_products|escape:'htmlall':'UTF-8'},{$i|escape:'htmlall':'UTF-8'},{$quantityarr[$i]|escape:'htmlall':'UTF-8'})" 
								onkeypress="priceKeyUp({$number_of_products|escape:'htmlall':'UTF-8'},{$i|escape:'htmlall':'UTF-8'},{$quantityarr[$i]|escape:'htmlall':'UTF-8'})" 
								onchange="priceKeyUp({$number_of_products|escape:'htmlall':'UTF-8'},{$i|escape:'htmlall':'UTF-8'},{$quantityarr[$i]|escape:'htmlall':'UTF-8'})" 
								min=1 
								name="adminprice{$i|escape:'htmlall':'UTF-8'}" 
								style="width: 60px; padding:5px;">
							</td>

							<td>
								<div style="display: inline-block; position: relative;">
									<input type="text" name="pricetotal{$i|escape:'htmlall':'UTF-8'}" value="0" style="width: 60px;" readonly>
									<div style=" position: absolute; top: 9px; right: 0.6em; transition: all .05s ease-in-out;">
									{$curr|escape:'htmlall':'UTF-8'}
									</div>
								</div>
							</td>

						</tr>
						{/for}
					</tbody>
				</table>
			</div>

			<div style="float:right;">

				<p name="">{l s='Total Price : ' mod='addifyrequestaquote'}<p>
					<div style="display: inline-block;
					position: relative;margin-right:5px;">
					<input type="text" name="total_adminprice" value="0" readonly >
					<div style=" position: absolute;
					top: 9px;
					right: 0.6em;
					transition: all .05s ease-in-out;">
					{$curr|escape:'htmlall':'UTF-8'}
				</div>
			</div>
            
			</div><br><br><br><br>

			<div class="container-generate-cart">
		        <b>{l s='Expiry Date' mod='addifyrequestaquote'}</b>
		        <input type="date" id="expirydate" name="expirydate" value="{$today_date|escape:'htmlall':'UTF-8'}">
		        <button type="button" class="btn-custom" onclick="getUrlKeyUp({$number_of_products|escape:'htmlall':'UTF-8'})" >
		            {l s='Generate Cart URL' mod='addifyrequestaquote'}
		        </button> 
		        <h id="raq_link">{$addifyraq_cartlink|escape:'htmlall':'UTF-8'}</h>
		        <h id="cartedate">{$cartexpire|escape:'htmlall':'UTF-8'}</h>
		        <input type="hidden" value="{$quantity|escape:'htmlall':'UTF-8'}" name="quantity">
		        <input type="hidden" value="{$offered_price|escape:'htmlall':'UTF-8'}" name="offered_price">
		        <input type="hidden" value="{$name|escape:'htmlall':'UTF-8'}" name="name">
		        <input type="hidden" value="{$email|escape:'htmlall':'UTF-8'}" name="email">
		        <input type="hidden" value="{$description|escape:'htmlall':'UTF-8'}" name="description">
		        <input type="hidden" value="{$sendlinkflag|escape:'htmlall':'UTF-8'}" name="sendlinkflag">
		        <input type="hidden" value="{$addifyraq_ajax_link|escape:'htmlall':'UTF-8'}" name="addifyraq_ajax_link">
		        <input type="hidden" value="{$addifyraq_cartlink|escape:'htmlall':'UTF-8'}" name="cartlink">
		    </div>

			<br><br>

			<div class="container-client-info">
				<p class="cuctomer-info-titles"><label>{l s='Name : ' mod='addifyrequestaquote'}</label>{$name|escape:'htmlall':'UTF-8'}</p>
				<p class="cuctomer-info-titles"><label>{l s='Email : ' mod='addifyrequestaquote'}</label>{$email|escape:'htmlall':'UTF-8'}</p>
				<p class="cuctomer-info-titles"><label>{l s='Description : ' mod='addifyrequestaquote'}</label>{$description|escape:'htmlall':'UTF-8'} </p>
				
				{if $text_active}
					{if $texttype|@count == 2 && $texttype[0] != '' && $texttype[1] != '' && $texttype !=':'}
					    <p class="cuctomer-info-titles">
					        <strong>{$texttype[0]|escape:'htmlall':'UTF-8'}</strong>:
					        {$texttype[1]|escape:'htmlall':'UTF-8'}
					    </p>
					{else}
					    <p class="cuctomer-info-titles" style="display: none;"></p>
					{/if}
				{/if}
				
				{if $fileuplod_active}
					{if $file_Heading != '' && $file_Image != '' && $file_source != ''}
					    <p class="customer-info-titles">
					        <strong>{$file_Heading|escape:'htmlall':'UTF-8'}</strong>:
					        <a href="{$file_Image|escape:'htmlall':'UTF-8'}" target="_blank" class="image-link">
					            {$file_source|escape:'htmlall':'UTF-8'}
					        </a>
					    </p>
					{else}
					    <p class="customer-info-titles" style="display: none;"></p>
					{/if}
				{/if}


				{if $multicheck_active}
					{if $multiselect|@count == 2 && $multiselect[0] != '' && $multiselect[1] != ''}
					    <p class="cuctomer-info-titles">
					        <strong>{$multiselect[0]|escape:'htmlall':'UTF-8'}</strong>:
					        {$multiselect[1]|escape:'htmlall':'UTF-8'}
					    </p>
					{else}
					    <p class="cuctomer-info-titles" style="display: none;"></p>
					{/if}
				{/if}

				{if $dropdown_active}
					{if $dropdown|@count == 2 && $dropdown[0] != '' && $dropdown[1] != ''}
					    <p class="cuctomer-info-titles">
					        <strong>{$dropdown[0]|escape:'htmlall':'UTF-8'}</strong>:
					        {$dropdown[1]|escape:'htmlall':'UTF-8'}
					    </p>
					{/if}
				{/if}

				{if $company_active}
					{if $company|@count == 2 && $company[0] != '' && $company[1] != ''}
					    <p class="cuctomer-info-titles">
					        <strong>{$company[0]|escape:'htmlall':'UTF-8'}</strong>:
					        {$company[1]|escape:'htmlall':'UTF-8'}
					    </p>
					{/if}
				{/if}

				{if $website_active}
					{if $website|@count == 2 && $website[0] != '' && $website[1] != ''}
					    <p class="cuctomer-info-titles">
					        <strong>{$website[0]|escape:'htmlall':'UTF-8'}</strong>:
					        <a href="{$website[1]|escape:'htmlall':'UTF-8'}" target="_blank">{$website[1]|escape:'htmlall':'UTF-8'}</a>
					    </p>
					{/if}
				{/if}

				{if $phone_active}
					{if $phone|@count == 2 && $phone[0] != '' && $phone[1] != ''}
					    <p class="cuctomer-info-titles">
					        <strong>{$phone[0]|escape:'htmlall':'UTF-8'}</strong>:
					        {$phone[1]|escape:'htmlall':'UTF-8'}
					    </p>
					{/if}
				{/if}

				{if $vatnumber_active}
					{if $vatnumber|@count == 2 && $vatnumber[0] != '' && $vatnumber[1] != ''}
					    <p class="cuctomer-info-titles">
					        <strong>{$vatnumber[0]|escape:'htmlall':'UTF-8'}</strong>:
					        {$vatnumber[1]|escape:'htmlall':'UTF-8'}
					    </p>
					{/if}
				{/if}

				{foreach from=$customfieldsdata item=customfielddata}
				    <p class="cuctomer-info-titles">
				        <strong>{$customfielddata.field_label|escape:'html':'UTF-8'}</strong> : 
				        {if $customfielddata.field_value}
				        {$customfielddata.field_value|escape:'html':'UTF-8'}
				        {else}
				        {$customfielddata.field_options|escape:'html':'UTF-8'}
				        {/if}
				    </p>
				{/foreach}
			</div>

			<fieldset class="form-group admin-note">
				<label class="form-control-label" for="exampleInput1">{l s='Admin Note' mod='addifyrequestaquote'}</label>
				<textarea name="adminnote" placeholder="Write Note" rows="3">{$adminnote|escape:'htmlall':'UTF-8'}</textarea>
			 </fieldset>
            
			<div class="form-group send-cart-link-to-customer">
				{if $sendlinkflag==0}
				<label class="control-label col-lg-4">{l s='Send Cart Link to Customer' mod='addifyrequestaquote'}</label>
				{/if}
				{if $sendlinkflag==1}
				<label class="control-label col-lg-4">{l s='Resend Cart Link to Customer' mod='addifyrequestaquote'}</label>
				{/if}
				<div class="col-lg-8">
					<span class="switch prestashop-switch fixed-width-lg">
						<input type="radio" name="addifyraq_enable" id="addifyraq_enable_on" value="1">
						<label for="addifyraq_enable_on">{l s='Yes' mod='addifyrequestaquote'}</label>
						<input type="radio" name="addifyraq_enable" id="addifyraq_enable_off" value="0" checked="checked">
						<label for="addifyraq_enable_off">{l s='No' mod='addifyrequestaquote'}</label>
						<a class="slide-button btn"></a>
					</span>
					<p class="help-block">{l s='Generate Cart URL First' mod='addifyrequestaquote'}  </p>
				</div>
			</div>
  
			<div class="form-group pending-accept-reject">
				<label class="control-label col-lg-4">
					{l s='Status' mod='addifyrequestaquote'}
				</label>
				<div class="col-lg-8">
					<select name="status" class=" fixed-width-xl" id="type">
						<option value="Pending" {if $status == 'Pending'} selected{/if}>{l s='Pending' mod='addifyrequestaquote'}</option>
						<option value="Accepted" {if $status == 'Accepted'} selected{/if}>{l s='Accepted' mod='addifyrequestaquote'}</option>
						<option value="Rejected" {if $status == 'Rejected'} selected{/if}>{l s='Rejected' mod='addifyrequestaquote'}</option>
					</select>
					<p class="help-block">
						{l s='For admin reminder' mod='addifyrequestaquote'}
					</p>
				</div>
			</div>
		</div>

		<div class="panel-footer">
			<button type="submit" value="1" id="configuration_form_submit_btn" name="Submitrequestsall" class="btn btn-default pull-right">
				<i class="process-icon-save"></i> {l s='Save' mod='addifyrequestaquote'}
			</button>
			<a href="{$backurl|escape:'htmlall':'UTF-8'}" class="btn btn-default btn btn-default"><i class="process-icon-cancel"></i> {l s='Cancel' mod='addifyrequestaquote'}</a>
		</div>
	</div>
</form>


{literal}
<script language="javascript">

	var  pid=$("input[name=total_products]").val();
	if(pid) {
		var total = 0;
		for(i=0;i<pid;i++) {
			var  qty=$("input[name=quantity"+i+"]").val();
			var  offerp=$("input[name=adminprice"+i+"]").val();
			var  thisp=qty*offerp;
			$("input[name=pricetotal"+i+"]").val(thisp);
			total = total + thisp;
		}
		$("input[name=total_adminprice]").val(total);  
	}
	
	function priceKeyUp(number_of_products,current,quantity) {

		pid=$("input[name=adminprice"+current+"]").val();
		total_adminprice=pid*parseInt(quantity);
		total_adminprice=$("input[name=pricetotal"+current+"]").val(parseInt(total_adminprice));
		total=0;

		for(i=0;i<number_of_products;i++) {

			pid=$("input[name=pricetotal"+i+"]").val();
			total=parseInt(total)+parseInt(pid);

		}

		total_adminprice=$("input[name=total_adminprice]").val(parseInt(total));
		adminprice='';
		for(i=0;i<number_of_products;i++) {
			
			pid=$("input[name=adminprice"+i+"]").val();
			if(pid==''){
				pid=1;
			}
			if(i==0){
				adminprice = pid;
			} else {
				adminprice = adminprice + "," + pid;
			}
		}
		admin_price=$("input[name=admin_price]").val(adminprice);

		
	}

	function getUrlKeyUp(number_of_products){
		ajaxlink = $("input[name=addifyraq_ajax_link]").val();
		pids = $("input[name=allpids]").val();
		quoteid = $("input[name=id_addifyrequestaquote]").val();
		pattrids = $("input[name=allpattr]").val();
		pquantities = $("input[name=quantity]").val();
		expirydate = document.getElementById("expirydate").value;
		total='';
		for(i=0;i<number_of_products;i++){
			if(i==0){
				pid=$("input[name=adminprice"+i+"]").val();
				total=total+pid;
			} else {
				pid=$("input[name=adminprice"+i+"]").val();
				total=total+','+pid;
			}
		}
		pprice=total;
		$.getJSON(ajaxlink, { checkquantity : "True" , action : "action_name", pids : pids, pattrids : pattrids, 
			pquantities : pquantities, total : total , expirydate : expirydate , quoteid : quoteid}, function(data) {
				if(typeof data.status !== "undefined") {
					document.getElementById("raq_link").innerHTML = data['message'];
					document.getElementById("cartedate").innerHTML = " ---- Expiry Date : " + expirydate;
					$("input[name=cartlink]").val(data['message']);      
				}

			});
	}


	document.addEventListener('DOMContentLoaded', function() {
    var imageLinks = document.querySelectorAll('.image-link');
    
    imageLinks.forEach(function(link) {
        link.addEventListener('click', function(event) {
        });
    });
});


	

</script>
{/literal}