{*

* 2007-2024 PrestaShop

*

* NOTICE OF LICENSE

*

* This source file is subject to the Academic Free License (AFL 3.0)

* that is bundled with this package in the file LICENSE.txt.

* It is also available through the world-wide-web at this URL:

* http://opensource.org/licenses/afl-3.0.php

* If you did not receive a copy of the license and are unable to

* obtain it through the world-wide-web, please send an email

* to license@prestashop.com so we can send you a copy immediately.

*

* DISCLAIMER

*

* Do not edit or add to this file if you wish to upgrade PrestaShop to newer

* versions in the future. If you wish to customize PrestaShop for your

* needs please refer to http://www.prestashop.com for more information.

*

*  @author    PrestaShop SA <contact@prestashop.com>

*  @copyright 2007-2024 PrestaShop SA

*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)

*  International Registered Trademark & Property of PrestaShop SA{l s=$aadifyraq_semail mod='addifyrequestaquote'}

*}

<div class="row">

	<div class="col-lg-12">

		<div id="container" class="row">

			<div id="moduleContainer">

				<div class="sidebarTabs navigation col-md-2">

					<nav class="list-group">

						<a class="list-group-item  nav-sidebar-tabs {if $active_tab eq 1} active {/if} " id="generaladdifyrequestaquote" href="#tab_1" data-toggle="tab">{l s='General Settings' mod='addifyrequestaquote'}</a>

						<a class="list-group-item nav-sidebar-tabs {if $active_tab eq 2} active {/if}" id="quotationsaddifyrequestaquote" href="#tab_2" data-toggle="tab">{l s='Quotations' mod='addifyrequestaquote'}</a>

						<a class="list-group-item nav-sidebar-tabs {if $active_tab eq 3} active {/if}" id="rulesaddifyrequestaquote" href="#tab_3" data-toggle="tab">{l s='Rules' mod='addifyrequestaquote'}</a>

						<a class="list-group-item nav-sidebar-tabs {if $active_tab eq 4} active {/if}" id="predefinedaddifyrequestaquote" href="#tab_4" data-toggle="tab">{l s='Predefined Fields' mod='addifyrequestaquote'}</a>

						<a class="list-group-item nav-sidebar-tabs {if $active_tab eq 5} active {/if}" id="customfieldsaddifyrequestaquote" href="#tab_5" data-toggle="tab">{l s='Custom Fields' mod='addifyrequestaquote'}</a>

						<a class="list-group-item nav-sidebar-tabs {if $active_tab eq 6} active {/if}" id="quotemessageaddifyrequestaquote" href="#tab_6" data-toggle="tab">{l s='Quote Messages' mod='addifyrequestaquote'}</a>

					</nav>

				</div>

				<div class="tab-content col-md-10">

					<div id="tab_4" class="{if $active_tab eq 4} active {/if} tab-pane">

						<div class="form-group" data-tab-id="tab_4">

							{$renderPredefinedConfigForm nofilter}

						</div>

					</div>

					<div id="tab_1" class=" {if $active_tab eq 1} active {/if} tab-pane">

						<div class="form-group" data-tab-id="tab_1">

							{$renderconfigForm nofilter}

						</div>

					</div>

					<div id="tab_2" class="{if $active_tab eq 2} active {/if} tab-pane">

						<div class="form-group" data-tab-id="tab_2">

							{$renderRequestList nofilter}

						</div>

					</div>

					<div id="tab_3" class="{if $active_tab eq 3} active {/if} tab-pane">

						<div class="form-group" data-tab-id="tab_3">

							{$renderList nofilter}

						</div>

					</div>

					<div id="tab_5" class="{if $active_tab eq 5} active {/if} tab-pane">

						<div class="form-group" data-tab-id="tab_5">

							{$renderFieldsList nofilter}

						</div>

					</div>

					<div id="tab_6" class="{if $active_tab eq 6} active {/if} tab-pane">

						<div class="form-group" data-tab-id="tab_6">

							{$renderQuoteMessageList nofilter}

						</div>

					</div>

				</div>

			</div>

		</div>

	</div>

</div>

<script type="text/javascript">
    
    var formWrapper = document.querySelector('#configuration_form .form-wrapper');
	if (formWrapper) {
		formWrapper.style.display = 'block';
	}

	if (document.getElementById("generaladdifyrequestaquote")) {
		document.getElementById("generaladdifyrequestaquote").onclick = function() {
			var class_element = document.getElementsByClassName("nav-sidebar-tabs");
			for (var i = 0; i < class_element.length; i++) {
				class_element[i].classList.remove("active");
			}
		  	var element = document.getElementById("generaladdifyrequestaquote");
	  		element.classList.add("active");
		};
	}

	if (document.getElementById("rulesaddifyrequestaquote")) {

		document.getElementById("rulesaddifyrequestaquote").onclick = function() {

			var class_element = document.getElementsByClassName("nav-sidebar-tabs");

			for (var i = 0; i < class_element.length; i++) {

				class_element[i].classList.remove("active");

			}

		  	var element = document.getElementById("rulesaddifyrequestaquote");

	  		element.classList.add("active");

		};

	}

	if (document.getElementById("quotationsaddifyrequestaquote")) {

		document.getElementById("quotationsaddifyrequestaquote").onclick = function() {

			var class_element = document.getElementsByClassName("nav-sidebar-tabs");



			for (var i = 0; i < class_element.length; i++) {

				class_element[i].classList.remove("active");

			}

		  	var element = document.getElementById("quotationsaddifyrequestaquote");
	  		element.classList.add("active");
		};

	}

	if (document.getElementById("predefinedaddifyrequestaquote")) {
		document.getElementById("predefinedaddifyrequestaquote").onclick = function() {
			var class_element = document.getElementsByClassName("nav-sidebar-tabs");
			for (var i = 0; i < class_element.length; i++) {
				class_element[i].classList.remove("active");
			}
		  	var element = document.getElementById("predefinedaddifyrequestaquote");
	  		element.classList.add("active");
		};
	}


	if (document.getElementById("customfieldsaddifyrequestaquote")) {

		document.getElementById("customfieldsaddifyrequestaquote").onclick = function() {

			var class_element = document.getElementsByClassName("nav-sidebar-tabs");

			for (var i = 0; i < class_element.length; i++) {

				class_element[i].classList.remove("active");
			}



		  	var element = document.getElementById("customfieldsaddifyrequestaquote");

	  		element.classList.add("active");

		};

	}

	if (document.getElementById("quotemessageaddifyrequestaquote")) {

		document.getElementById("quotemessageaddifyrequestaquote").onclick = function() {

			var class_element = document.getElementsByClassName("nav-sidebar-tabs");

			for (var i = 0; i < class_element.length; i++) {

				class_element[i].classList.remove("active");
			}



		  	var element = document.getElementById("quotemessageaddifyrequestaquote");

	  		element.classList.add("active");

		};

	}

	

	

</script>







