{**
 * 2007-2024 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2024 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{extends file='customer/page.tpl'}

<section id="wrapper">
  <div class="container">
        <div id="content-wrapper">

        {block name='page_title'}
          {l s='Quote History' mod='addifyrequestaquote'} 
        {/block}

        {block name='page_content'}
            <section class="page-content card card-block">
                    {if $quotehistorys}
                    <table class="table table-striped" id="quotehistory_list">
                        <thead>
                            <tr>
                                <th>{l s='ID' mod='addifyrequestaquote'}</th>
                                <th>{l s='Status' mod='addifyrequestaquote'}</th>
                                <th>{l s='Request Date' mod='addifyrequestaquote'}</th>
                                <th>{l s='Detail' mod='addifyrequestaquote'}</th>
                                <th>{l s='Action' mod='addifyrequestaquote'}</th>
                                <th>{l s='Message' mod='addifyrequestaquote'}</th>
                            </tr>
                        </thead>
                        <tbody>
                            {foreach from=$quotehistorys item=quotehistory}
                            <tr id="quote_data{$quotehistory['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                                <td>{$quotehistory['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}</td>
                                <td>{$quotehistory['status']|escape:'htmlall':'UTF-8'}</td>
                                <td>{$quotehistory['date_add']|escape:'htmlall':'UTF-8'}</td>
                                <td class="quote-view">
                                    <a href="{$View_Detail|escape:'htmlall':'UTF-8'}?id_quotation={$quotehistory['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                                        {l s='View Detail' mod='addifyrequestaquote'} 
                                    </a>
                                </td>
                                <td class="quote-actions">
                                    <a href="" onclick="addProductTempRequote({$quotehistory['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'})">
                                        {l s='Requote' mod='addifyrequestaquote'} 
                                    </a>
                                </td>
                                <td class="quote-actions-message">
                                    <a href="{$quotemessage|escape:'htmlall':'UTF-8'}?key=kS1nCkPwHgfeL0uymIXoZoKX35EBSRjZ&id_quotation={$quotehistory['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                                        {l s='Message' mod='addifyrequestaquote'} 
                                    </a>
                                </td>
                            </tr>
                            {/foreach}
                        </tbody>
                    </table>
                    {else}
                        <article class="alert alert-warning" role="alert" data-alert="warning">
                        <ul>
                          <li>{l s='Quote is empty' mod='addifyrequestaquote'}</li>
                        </ul>
                      </article>  
                    {/if}
            </section>
        {/block}
    </div>
</section>