{**
 * 2007-2024 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2024 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{extends file='customer/page.tpl'}

<section id="wrapper">
  <div class="container">
        <div id="content-wrapper">

        {block name='page_title'}
          {l s='Messages' mod='addifyrequestaquote'} 
        {/block}

        {block name='page_content'}
            <section class="page-content card card-block">
                    {if $quotemessages}
                        {if $quotemessagealert}
                            <p class="alert alert-success">{l s='Message Sent' mod='addifyrequestaquote'}</p>
                        {/if}    
                        <div class="col-xs-12 col-md-12" id="addify_message_tree">
                            <ul>
                                {$db_message  = $quotemessages[0]['message']}
                                {$exp_message  = explode(",", $db_message)}

                                {foreach from=$exp_message key=exp_message_key item=message_item}

                                    {$exp_message_item  = explode("|>", $message_item)}

                                    {$sender_type  = $exp_message_item['0']}
                                    {$date  = $exp_message_item['1']}
                                    {$message  = $exp_message_item['2']}

                                    {if $sender_type == 1}
                                    <li class="addify_level_thread_1">{$message|escape:'htmlall':'UTF-8'}<span class="date">{l s='Posted: ' mod='addifyrequestaquote'} {$date|escape:'htmlall':'UTF-8'}</span></li>
                                    {/if}
                                    {if $sender_type == 0}
                                    <li class="addify_level_thread_0">{$message|escape:'htmlall':'UTF-8'}<span class="date">{l s='Posted: ' mod='addifyrequestaquote'} {$date|escape:'htmlall':'UTF-8'}</span></li>
                                    {/if}
               
                                {/foreach}
                             </ul>
                        </div>
                    {/if}
                    <form action="{$quotemessagetab|escape:'htmlall':'UTF-8'}?key=kS1nCkPwHgfeL0uymIXoZoKX35EBSRjZ&id_quotation={$id_quotation|escape:'htmlall':'UTF-8'}". enctype="multipart/form-data" method="post">
                        <div class="col-xs-12 col-md-12">
                            <div class="form-group">
                                <label class="control-label required" for="message">{l s='Message' mod='addifyrequestaquote'}</label>
                                <textarea name="rfq_message" rows="6" id="rfq_message" class="form-control textarea-autosize" required></textarea>
                            </div>
                        </div>
                        <div class="submit col-md-12" style="clear: both">
                            <button class="btn button button-primary" id="submitAddifyrfqMessage" name="submitAddifyrfqMessage" type="submit"><span>{l s='Send' mod='addifyrequestaquote'}<i class="icon-chevron-right right"></i></span></button>
                        </div>
                    </form>

                    <ul class="footer_links clearfix">
                        <li>
                            <a href="{$arq_tab_con_link|escape:'htmlall':'UTF-8'}" class="btn button button-info">
                                <span>
                                    <i class="icon-chevron-left"></i>{l s='Back to Quotations' mod='addifyrequestaquote'}
                                </span>
                            </a>
                        </li>
                    </ul>
            </section>
        {/block}
    </div>
</section>


