{**
 * 2007-2024 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2024 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{extends file='customer/page.tpl'}

<section id="wrapper">
  <div class="container">
        <div id="content-wrapper">

        {block name='page_title'}
          {l s='Quote Detail' mod='addifyrequestaquote'} 
        {/block}

        {block name='page_content'}
            <section class="page-content card card-block">
              {if $quotehistorys}
              <div class="parent-div-quote-table">
                <table class="table table-striped">
                  <thead>
                    <tr>
                      <td><b>{l s='ID' mod='addifyrequestaquote'}</b></td>
                      <td><b>{l s='Image' mod='addifyrequestaquote'}</b></td>
                      <td><b>{l s='Name' mod='addifyrequestaquote'}</b></td>
                      <td><b>{l s='SKU' mod='addifyrequestaquote'}</b></td>
                      <td><b>{l s='Price' mod='addifyrequestaquote'}</b></td>
                      <td><b>{l s='Info' mod='addifyrequestaquote'}</b></td>
                      <td><b>{l s='Quantity' mod='addifyrequestaquote'}</b></td>
                      {if $aadifyraq_offered_mode == 1}
                      <td><b>{l s='Offered Price' mod='addifyrequestaquote'}</b></td>
                      {/if}

                    </tr>
                  </thead>
                  <tbody>
                    {for $i=0 to $number_of_products-1}
                    <tr style="border-bottom: 0.02px solid #877d7d;">

                      <td>
                        {$allid_productarr[$i]|escape:'htmlall':'UTF-8'}
                      </td>

                      <td>
                        <img class="news-cat-main-img" src="{$allpimagesarr[$i]|escape:'htmlall':'UTF-8'}" alt="" width="50" height="50">
                      </td>

                      <td class="adq-product-name">
                        {$allpnamearr[$i]|escape:'htmlall':'UTF-8'}
                      </td>

                      <td>
                        {$allpskuarr[$i]|escape:'htmlall':'UTF-8'}
                      </td>

                      <td>
                        {$original_pricearr[$i]|escape:'htmlall':'UTF-8'}
                      </td>

                      <td>
                        {$allpinfoarr[$i]|escape:'htmlall':'UTF-8'}
                      </td>

                      <td>
                        {$quantityarr[$i]|escape:'htmlall':'UTF-8'}
                      </td>

                      {if $aadifyraq_offered_mode == 1}
                          {if isset($offered_pricearr[$i]) && $offered_pricearr[$i]|escape:'htmlall':'UTF-8' != ''}
                              <td>
                                  {$offered_pricearr[$i]|escape:'htmlall':'UTF-8'}
                              </td>
                          {else}
                              <td></td>
                          {/if}
                      {/if}

                    </tr>
                    {/for}
                  </tbody>
                </table>
              </div>
              {else}
                  <article class="alert alert-warning" role="alert" data-alert="warning">
                  <ul>
                    <li>{l s='Quote is empty' mod='addifyrequestaquote'}</li>
                  </ul>
                </article>  
              {/if}


              <div class="container-client-info">
                <p class="cuctomer-info-titles"><label><strong>{l s='Name' mod='addifyrequestaquote'}</strong> : </label> {$name|escape:'htmlall':'UTF-8'}</p>
                <p class="cuctomer-info-titles"><label><strong>{l s='Email' mod='addifyrequestaquote'}</strong> : </label> {$email|escape:'htmlall':'UTF-8'}</p>
                <p class="cuctomer-info-titles"><label><strong>{l s='Description' mod='addifyrequestaquote'}</strong> : </label> {$description|escape:'htmlall':'UTF-8'} </p>
                
                {if $text_active}
                  {if $texttype|@count == 2 && $texttype[0] != '' && $texttype[1] != '' && $texttype !=':'}
                      <p class="cuctomer-info-titles">
                          <label><strong>{$texttype[0]|escape:'htmlall':'UTF-8'}</strong>:</label>
                          {$texttype[1]|escape:'htmlall':'UTF-8'}
                      </p>
                  {else}
                      <p class="cuctomer-info-titles" style="display: none;"></p>
                  {/if}
                {/if}
                
                {if $fileuplod_active}
                  {if $file_Heading != '' && $file_Image != '' && $file_source != ''}
                      <p class="customer-info-titles">
                          <label><strong>{$file_Heading|escape:'htmlall':'UTF-8'}</strong>:</label>
                          <a href="{$file_Image|escape:'htmlall':'UTF-8'}" target="_blank" class="image-link">
                              {$file_source|escape:'htmlall':'UTF-8'}
                          </a>
                      </p>
                  {else}
                      <p class="customer-info-titles" style="display: none;"></p>
                  {/if}
                {/if}


                {if $multicheck_active}
                  {if $multiselect|@count == 2 && $multiselect[0] != '' && $multiselect[1] != ''}
                      <p class="cuctomer-info-titles">
                          <label><strong>{$multiselect[0]|escape:'htmlall':'UTF-8'}</strong>:</label>
                          {$multiselect[1]|escape:'htmlall':'UTF-8'}
                      </p>
                  {else}
                      <p class="cuctomer-info-titles" style="display: none;"></p>
                  {/if}
                {/if}

                {if $dropdown_active}
                  {if $dropdown|@count == 2 && $dropdown[0] != '' && $dropdown[1] != ''}
                      <p class="cuctomer-info-titles">
                          <label><strong>{$dropdown[0]|escape:'htmlall':'UTF-8'}</strong>:</label>
                          {$dropdown[1]|escape:'htmlall':'UTF-8'}
                      </p>
                  {/if}
                {/if}

                {if $company_active}
                  {if $company|@count == 2 && $company[0] != '' && $company[1] != ''}
                      <p class="cuctomer-info-titles">
                          <label><strong>{$company[0]|escape:'htmlall':'UTF-8'}</strong>:</label>
                          {$company[1]|escape:'htmlall':'UTF-8'}
                      </p>
                  {/if}
                {/if}

                {if $website_active}
                  {if $website|@count == 2 && $website[0] != '' && $website[1] != ''}
                      <p class="cuctomer-info-titles">
                          <label><strong>{$website[0]|escape:'htmlall':'UTF-8'}</strong>:</label>
                          <a href="{$website[1]|escape:'htmlall':'UTF-8'}" target="_blank">{$website[1]|escape:'htmlall':'UTF-8'}</a>
                      </p>
                  {/if}
                {/if}

                {if $phone_active}
                  {if $phone|@count == 2 && $phone[0] != '' && $phone[1] != ''}
                      <p class="cuctomer-info-titles">
                          <label><strong>{$phone[0]|escape:'htmlall':'UTF-8'}</strong>:</label>
                          {$phone[1]|escape:'htmlall':'UTF-8'}
                      </p>
                  {/if}
                {/if}

                {if $vatnumber_active}
                  {if $vatnumber|@count == 2 && $vatnumber[0] != '' && $vatnumber[1] != ''}
                      <p class="cuctomer-info-titles">
                          <label><strong>{$vatnumber[0]|escape:'htmlall':'UTF-8'}</strong>:</label>
                          {$vatnumber[1]|escape:'htmlall':'UTF-8'}
                      </p>
                  {/if}
                {/if}

                {foreach from=$customfieldsdata item=customfielddata}
                    <p class="cuctomer-info-titles">
                        <label><strong>{$customfielddata.field_label|escape:'html':'UTF-8'}</strong> : </label>
                        {if $customfielddata.field_value}
                        {$customfielddata.field_value|escape:'html':'UTF-8'}
                        {else}
                        {$customfielddata.field_options|escape:'html':'UTF-8'}
                        {/if}
                    </p>
                {/foreach}
              </div>

               <ul class="footer_links clearfix">
                        <li>
                            <a href="{$arq_tab_con_link|escape:'htmlall':'UTF-8'}" class="btn button button-info">
                                <span>
                                    <i class="icon-chevron-left"></i>{l s='Back to Quotations' mod='addifyrequestaquote'}
                                </span>
                            </a>
                        </li>
                    </ul>
            </section>
        {/block}
    </div>
</section>


