{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{extends file=$layout}
{block name='content'}

 <style type="text/css">
 	
    .card{
     box-shadow: 2px 2px 8px 0 rgb(0 0 0 / 20%);
     padding-top: 1rem;
     padding-bottom: 1rem;
    
    }

    .plugin-form-section{
        background: #f1f1f1;
        box-shadow: inset 0 2px 5px 0 rgba(0,0,0,.11);
        padding-top: 1.563rem;
    }

    .plugin-form{
        width: 100%;
        margin: 0 auto;
        background: #fff;
        padding: 2rem;
        max-width: 640px;
    }

    .plugin-form label{
        font-size: 14px;
        line-height: 24px;
        font-weight: 500;
        /*text-align: right;*/
        color: black;
    }

    .switch {
        position: relative;
        display: inline-block;
        width: 55px;
        height: 25px;
    }

    .switch input { 
        opacity: 0;
        width: 0;
        height: 0;
    }

    .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
    }

    .slider:before {
        position: absolute;
        content: "";
        height: 18px;
        width: 18px;
        left: 8px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

    input:checked + .slider {
      background-color: #2196F3;
    }

    input:focus + .slider {
      box-shadow: 0 0 1px #2196F3;
    }

    input:checked + .slider:before {
      -webkit-transform: translateX(26px);
      -ms-transform: translateX(26px);
      transform: translateX(26px);
    }

    .slider.round {
      border-radius: 60px;
    }

    .slider.round:before {
      border-radius: 60%;
    }

 </style>

    <form action="" method="post" enctype="multipart/form-data">
        <input type="hidden" value="{$allpids|escape:'htmlall':'UTF-8'}" name="allpids">
		<input type="hidden" value="{$allpattr|escape:'htmlall':'UTF-8'}" name="allpattr">
		<input type="hidden" value="{$allpname|escape:'htmlall':'UTF-8'}" name="allpname">
		<input type="hidden" value="{$allpsku|escape:'htmlall':'UTF-8'}" name="allpsku">
		<input type="hidden" value="{$allpimages|escape:'htmlall':'UTF-8'}" name="allpimages">
		<input type="hidden" value="{$allpinfo|escape:'htmlall':'UTF-8'}" name="allpinfo">
		<input type="hidden" value="{$allpqty|escape:'htmlall':'UTF-8'} " name="quantity">
		{$flag=1}
		<div class="container">     
  			<table class="table table-bordered">
    			<thead>
      				<tr>
      					<th></th>
        				<th>{l s='Image' mod='addifyrequestaquote'}</th>
						<th>{l s='Name' mod='addifyrequestaquote'}</th>
						<th>{l s='SKU' mod='addifyrequestaquote'}</th>
						<th>{l s='Info' mod='addifyrequestaquote'}</th>
						<th>{l s='Quantity' mod='addifyrequestaquote'}</th>
						{if $aadifyraq_offered_mode==1}
						<th>{l s='Offered Price' mod='addifyrequestaquote'}</th>
						<th>{l s='Total' mod='addifyrequestaquote'}</th>
						<th></th>
						{/if}
      				</tr>
    			</thead>
    			<tbody>
				{foreach from=$allProducts key=mykey item=oneProduct}
					<tr style="border-bottom: 0.02px solid #877d7d;">
						{$myvalue = $mykey+1}
						<td style="padding-top: 1.75rem;">
							<input type="checkbox" name="addifyrequestaquoteCheckBox[]" value="{$myvalue|escape:'htmlall':'UTF-8'}" style="width: 18px; height: 18px;" data-id="{$flag|escape:'htmlall':'UTF-8'}" id="araq_all_{$oneProduct['id']|escape:'htmlall':'UTF-8'}" class="araq_for_all_checkbox">
						</td>

						<td>
							<img class="news-cat-main-img" src="{$oneProduct['image']|escape:'htmlall':'UTF-8'}" alt="" width="50" height="50">
						</td>

						<td class="adq-product-name">
							<a href=" ">{$oneProduct['name']|escape:'htmlall':'UTF-8'}</a>
						</td>

						<td>
						{$oneProduct['SKU']|escape:'htmlall':'UTF-8'}
						</td>

						<td>
							{$oneProduct['info']|escape:'htmlall':'UTF-8'}
						</td>
				
						<td>
							<fieldset class="form-group">
 							<input id="quantity_{$flag|escape:'htmlall':'UTF-8'}" name="quantity_{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="{$oneProduct['qty']|escape:'htmlall':'UTF-8'}" onkeyup="quantityKeyUp({$flag|escape:'htmlall':'UTF-8'})" 
 							onkeydown ="quantityKeyUp({$flag|escape:'htmlall':'UTF-8'})"
 							onchange = "quantityKeyUp({$flag|escape:'htmlall':'UTF-8'})" class="form-control" style="width:5em; "></input>
							</fieldset>							{*<input id="quantity_{$flag|escape:'htmlall':'UTF-8'}" name="quantity_{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="1" onkeyup="quantityKeyUp()">*}
						</td>

						{if $aadifyraq_offered_mode==1}
						<td>
							<fieldset class="form-group">
							<div style="display: inline-block;
  												   position: relative;">
 							<input id="offered_{$flag|escape:'htmlall':'UTF-8'}" name="offered_{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="1"
									onkeyup="offeredPriceKeyUp({$flag|escape:'htmlall':'UTF-8'})" onkeydown ="offeredPriceKeyUp({$flag|escape:'htmlall':'UTF-8'})"
									onchange ="offeredPriceKeyUp({$flag|escape:'htmlall':'UTF-8'})" class="form-control" style="width:5em; "></input>
									<div style=" position: absolute;
  												top: 9px;
    											right: 0.6em;
  												transition: all .05s ease-in-out;">
									{$csign|escape:'htmlall':'UTF-8'}
									</div>
							</div>
							</fieldset>
							{*
							<input id="offered_{$flag|escape:'htmlall':'UTF-8'}" name="offered_{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="1"
									onkeyup="offeredPriceKeyUp()">*}
									
						</td>


						<td>
							<fieldset class="form-group">
							<div style="display: inline-block;
  												   position: relative;">
 							<input id="pricetotal{$flag|escape:'htmlall':'UTF-8'}" name="pricetotal{$flag|escape:'htmlall':'UTF-8'}" type="number" min="1" value="1"
							class="form-control" style="width:6em; " readonly></input>
							<div style=" position: absolute;
  												top: 9px;
    											right: 0.6em;
  												transition: all .05s ease-in-out;">
									{$csign|escape:'htmlall':'UTF-8'}
									</div>
							</div>
							</fieldset>
						</td>
						{/if}
						<td>
						<img src="{$baseurl|escape:'htmlall':'UTF-8'}/modules/addifyrequestaquote/views/img/raq_deleteicon.png" alt="" width="25px" style="cursor: pointer;" onclick="deletePro({$flag|escape:'htmlall':'UTF-8'})">
						</td>

							{$flag=$flag+1}
					</tr>
					{/foreach}
    			</tbody>
  			</table>
		</div>

		<div class="col-lg-6">
				<div class="btn-group dropup">
					<button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" id="bulk_action_quote_menu_addifyrequestaquote">
						{l s='Bulk actions' mod='addifyrequestaquote'}
						<span class="caret"></span>
					</button>
					<ul class="dropdown-menu">
						<li>
							<a href="#" onclick="javascript:araq_checkDelBoxes($(this).closest('form').get(0), 'addifyrequestaquoteCheckBox[]', true);return false;">
								<i class="icon-check-sign"></i>&nbsp;{l s='Select all' mod='addifyrequestaquote'}
							</a>
						</li>
						<li>
							<a href="#" onclick="javascript:araq_checkDelBoxes($(this).closest('form').get(0), 'addifyrequestaquoteCheckBox[]', false);return false;">
								<i class="icon-check-empty"></i>&nbsp;{l s='Unselect all' mod='addifyrequestaquote'}
							</a>
						</li>
						<li class="divider"></li>
						<li>
							<a href="#" onclick="if (confirm('Delete selected items?'))araq_sendBulkAction($(this).closest('form').get(0), 'submitquoteBulkdeleteaddifyrequestaquote');">
								<i class="icon-trash"></i>&nbsp;{l s='Delete selected' mod='addifyrequestaquote'}
							</a>
						</li>
					</ul>
				</div>
			</div>

		<div style="float:right;">
		<fieldset class="form-group">
		{if $aadifyraq_offered_mode==1}
		<label class="form-control-label" for="exampleInput1">{l s='Total Price ' mod='addifyrequestaquote'}</label>
		<div style="display: inline-block;
  					position: relative;">
		<input type="text" name="total_adminprice" value="0" class="form-control" style="width: 106px;" readonly>
		<div style="position: absolute;
  					top: 9px;
    				right: 0.6em;
  					transition: all .05s ease-in-out;">
				{$csign|escape:'htmlall':'UTF-8'}
		</div>
		</div>
		{/if}
		</fieldset>
		</div>

		
		<input type="hidden" value="{$flag|escape:'htmlall':'UTF-8'}" name="addifyraq_flag">
		<input type="hidden" value=" " name="offered_price">

		<br><br>
		<h2 style="padding-top:25px;">{l s='Request For Quote Form' mod='addifyrequestaquote'}</h2>

		<fieldset class="form-group">
		<label class="form-control-label" for="exampleInput1">{l s='Name' mod='addifyrequestaquote'}</label>
		
		<input type="text" class="form-control" name="name" placeholder="{l s='Enter Name' mod='addifyrequestaquote'}" style="width:50%" required></input>
		</fieldset>

		<fieldset class="form-group">
		<label class="form-control-label" for="exampleInput1">{l s='Email' mod='addifyrequestaquote'}</label>
 		<input type="email" class="form-control" name="email" placeholder="{l s='Enter Email' mod='addifyrequestaquote'}" style="width:50%" required></input>
 		<p style = "font-size: 0.9rem;">{l s='Copy of Quotation will sent on this email address' mod='addifyrequestaquote'}</p>
		</fieldset>

		<fieldset class="form-group">
		<label class="form-control-label" for="exampleInput1">{l s='Description' mod='addifyrequestaquote'}</label>
 		<textarea type="text" class="form-control" name="description" placeholder="{l s='Enter Description' mod='addifyrequestaquote'}" rows="4" cols="50" style="width:50%" required></textarea>
		</fieldset>

 		{if $aadifyraq_fileupload_active==1}
        <fieldset class="form-group">
		<label class="form-control-label" for="aadifyraq_fileupload_lable">{$aadifyraq_fileupload_lable|escape:'htmlall':'UTF-8'}</label>
  		<input type="file" id="aadifyraq_fileupload_lable" name="fileToUpload" class="form-control" {if $aadifyraq_texttype_mandatory==1} required {/if} style="width:50%">
  		</fieldset>
  		{/if}


        {if $aadifyraq_texttype_active==1}
        <fieldset class="form-group">
        <label class="form-control-label" for="exampleInput1">{$aadifyraq_texttype_lable|escape:'htmlall':'UTF-8'}</label>
 		<input type="text" class="form-control" name="texttype" placeholder="{$aadifyraq_texttype_placeholder|escape:'htmlall':'UTF-8'}" style="width:50%" {if $aadifyraq_texttype_mandatory==1} required {/if}></input>
 		</fieldset>
        {/if}



  		{if $aadifyraq_dropdown_active==1}
  		<fieldset class="form-group">
  		<label  class="form-control-label" for="aadifyraq_dropdown_labe">{$aadifyraq_dropdown_labe|escape:'htmlall':'UTF-8'}</label>
  		<select id="aadifyraq_dropdown_labe" class="form-control" name="dropdown" style="width:50%">
  		{foreach $aadifyraq_dropdown_options as $value}
    	<option value="{$value|escape:'htmlall':'UTF-8'}">{$value|escape:'htmlall':'UTF-8'}</option>
    	{/foreach}
  		</select>
  		</fieldset>
  		{/if}


  		{$countmulti=1}
  		{if $aadifyraq_multicheck_active==1}
  		<fieldset class="form-group">
  		<label class="form-control-label" for="vehicle1">{$aadifyraq_multicheck_lable|escape:'htmlall':'UTF-8'}</label><br>
  		{foreach $aadifyraq_multicheck_options as $value}
  		<input type="checkbox" class="predef_checkbox" name="multiselect{$countmulti|escape:'htmlall':'UTF-8'}" value="{$value|escape:'htmlall':'UTF-8'}" {if $aadifyraq_multiselect_mandatory==1} required {/if}>
  		<label for="{$value|escape:'htmlall':'UTF-8'}">{$value|escape:'htmlall':'UTF-8'}</label><br>
  		{$countmulti=$countmulti+1}
  		{/foreach}
  		</fieldset>
  		<input type="hidden" value="{$countmulti|escape:'htmlall':'UTF-8'}" name="countmulti">
  		{/if}


  		{if $aadifyraq_companyname_active==1}
        <fieldset class="form-group">
		<label class="form-control-label" for="aadifyraq_companyname_lable">{$aadifyraq_companyname_lable|escape:'htmlall':'UTF-8'}</label>
  		<input type="text" id="aadifyraq_companyname" name="company" class="form-control" {if $aadifyraq_companyname_mandatory==1} required {/if} style="width:50%">
  		</fieldset>
  		{/if}

  		{if $aadifyraq_website_active==1}
        <fieldset class="form-group">
		<label class="form-control-label" for="aadifyraq_website_lable">{$aadifyraq_website_lable|escape:'htmlall':'UTF-8'}</label>
  		<input type="url" id="aadifyraq_website" name="website" class="form-control" {if $aadifyraq_website_mandatory==1} required {/if} style="width:50%">
  		</fieldset>
  		{/if}

  		{if $aadifyraq_phone_active==1}
        <fieldset class="form-group">
		<label class="form-control-label" for="aadifyraq_phone_lable">{$aadifyraq_phone_lable|escape:'htmlall':'UTF-8'}</label>
  		<input type="tel" id="aadifyraq_phone" name="phone" class="form-control" {if $aadifyraq_phone_mandatory==1} required {/if} style="width:50%">
  		</fieldset>
  		{/if}

  		{if $aadifyraq_vatnumber_active==1}
        <fieldset class="form-group">
		<label class="form-control-label" for="aadifyraq_vatnumber_lable">{$aadifyraq_vatnumber_lable|escape:'htmlall':'UTF-8'}</label>
  		<input type="text" id="aadifyraq_vatnumber" name="vatnumber" class="form-control" {if $aadifyraq_vatnumber_mandatory==1} required {/if} style="width:50%">
  		</fieldset>
  		{/if}

  		{foreach $rules_data as $rule_data}       
	        
            <!--------------------------------- General field types-------------------------------------->
                {if $rule_data['field_type'] == 'text' || $rule_data['field_type'] == 'number' || $rule_data['field_type'] == 'email' || $rule_data['field_type'] == 'date' || $rule_data['field_type'] == 'time'}
                    <div class="form-group araq_customField" data-id="{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                        <label class="form-control-label">
                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                        </label>
                        
                            <input  type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                class="form-control" 
                                placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}" 
                                {if $rule_data['values_req'] eq 1} required {/if}
                                value="" 
                                style="width:50%">  
                    </div>
                {/if}

            <!---------------------------------color field-------------------------------------->
                {if $rule_data['field_type'] == 'color'}
                    <div class="form-group araq_customField" data-id="{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                        <label class="form-control-label">
                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                        </label>
                        <div>
                        <input  type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                    data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}" 
                                    
                                    {if $rule_data['values_req'] eq 1} required {/if}
                                    style="width:10%"
                                    value="">  
                        </div>
                    </div>
                {/if}
            <!---------------------------------textarea-------------------------------------->
                {if $rule_data['field_type'] == 'textarea'}
                    <div class="form-group araq_customField" data-id="{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                        <label class="form-control-label">
                            
                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                        </label>
                        
                        <textarea data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                   id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    class="form-control" 
                                    placeholder="{$rule_data['place_holder']|escape:'htmlall':'UTF-8'}"
                                    autocomplete="off" 
                                    style="width:50%"
                                    {if $rule_data['values_req'] eq 1} required {/if}></textarea>   
                    </div>
                {/if}
            <!--------------------------------file upload/download--------------------------------------->
                {if $rule_data['field_type'] == 'fileupload'}
                    <div class="form-group araq_customField" data-id="{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                        <label class="form-control-label">
                            
                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                        </label>
                        
                        <input  type="file" 
                                    data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    class="form-control" 
                                    style="width:50%"
                                    {if $rule_data['values_req'] eq 1} required {/if}
                                    data-file-value="">
                    </div>
                {/if}
            <!---------------------------------multiselectbox-------------------------------------->
                {if $rule_data['field_type'] == 'multiselect'}
                    <div class="form-group araq_customField" data-id="{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                        <label class="form-control-label">
                            
                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                        </label>
                            <select 
                                    multiple="multiple"
                                    data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}[]" 
                                    class="form-control" 
                                    style="width:50%"
                                    {if $rule_data['values_req'] eq 1} required {/if}>
                                {$options = explode(',',$rule_data['options'])}
                                {foreach $options as $option}
                                    {$option_single = explode('->',$option)}
                                    {$option_value = $option_single[0]}
                                    {$option_lable = $option_single[1]}
                                    {if $option_value != ''}
                                        {if $option_lable != ''}
                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}">{$option_lable|escape:'htmlall':'UTF-8'}</option>
                                        {/if}
                                    {/if}
                                {/foreach}
                            </select>
                    </div>
                {/if}
            <!---------------------------------selectbox-------------------------------------->
                {if $rule_data['field_type'] == 'select'}
                    <div class="form-group araq_customField" data-id="{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                        <label class="form-control-label">
                            
                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                        </label>
                       
                            <select 
                                    data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    class="form-control" 
                                    autocomplete="off" 
                                    style="width:50%"
                                    {if $rule_data['values_req'] eq 1} required {/if} >
                                <option value="">{l s='Choose Option' mod='addifyrequestaquote'}</option>
                                {$options = explode(',',$rule_data['options'])}
                                {foreach $options as $option}
                                    {$option_single = explode('->',$option)}
                                    {$option_value = $option_single[0]}
                                    {$option_lable = $option_single[1]}
                                    {if $option_value != ''}
                                        {if $option_lable != ''}
                                        <option value="{$option_value|escape:'htmlall':'UTF-8'}">{$option_lable|escape:'htmlall':'UTF-8'}</option>
                                        {/if}
                                    {/if}
                                {/foreach}
                            </select>
                       
                    </div>
                {/if}
            <!---------------------------------switch-------------------------------------->
                {if $rule_data['field_type'] == 'switch'}
                    <div class="form-group  araq_customField" data-id="{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                        <label class="form-control-label">
                            
                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                        </label>
                        <div>
                            <label class="switch form-control-label">
                                <input  type="checkbox" 
                                    data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                    id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                    value="">         
                                <span class="slider round"></span>
                            </label>
                            
                        </div>
                    </div>
                {/if}
            <!---------------------------------checkbox-------------------------------------->
                {if $rule_data['field_type'] == 'checkbox'}

                    <div class="form-group araq_customField araq_customField_check_box" data-id="{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                        <label class="form-control-label">
                            
                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                        </label>
                        
                            {$options = explode(',',$rule_data['options'])}
                            {foreach $options as $optionkey => $option} 
                                {$option_single = explode('->',$option)}
                                {$option_value = $option_single[0]}
                                {$option_lable = $option_single[1]}
                                
                                <div class="form-check araq_custom_check_box">
                                        {if $option_value != ''}
                                            {if $option_lable != ''}
                                            <input  type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                                data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                                class="araq_custom_checkbox araq_all_{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}"
                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}" 
                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}[]" 
                                                value="{$option_value|escape:'htmlall':'UTF-8'}" {if $rule_data['values_req'] eq 1} required {/if} >
                                            <label class="form-check-label">
                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                            </label>
                                            {/if}
                                        {/if}
                                </div>
                            {/foreach} 
                    </div>
                {/if}

            <!---------------------------------radiobutton-------------------------------------->
                {if $rule_data['field_type'] == 'radio'}

                    <div class="form-group araq_customField araq_customField_radio_btn" data-id="{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}">
                        <label class=" form-control-label">
                            
                            {$rule_data['field_label']|escape:'htmlall':'UTF-8'}
                        </label>
                       
                            {$options = explode(',',$rule_data['options'])}
                            {foreach $options as $optionkey => $option} 
                                {$option_single = explode('->',$option)}
                                {$option_value = $option_single[0]}
                                {$option_lable = $option_single[1]}
                                
                                <div class="form-check araq_custom_radio_btn">
                                        {if $option_value != ''}
                                            {if $option_lable != ''}
                                            <input  type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                                data-type="{$rule_data['field_type']|escape:'htmlall':'UTF-8'}" 
                                                class="araq_custom_radiobutton araq_all_{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}"
                                                id="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}{$optionkey|escape:'htmlall':'UTF-8'}" 
                                                name="{$rule_data['field_name']|escape:'htmlall':'UTF-8'}{$rule_data['id_addifyrequestaquote']|escape:'htmlall':'UTF-8'}" 
                                                value="{$option_value|escape:'htmlall':'UTF-8'}" {if $rule_data['values_req'] eq 1} required {/if}>
                                            <label class="form-check-label">
                                                {$option_lable|escape:'htmlall':'UTF-8'}
                                            </label>
                                            {/if}
                                        {/if}
                                </div>
                            {/foreach} 
                    </div>
                {/if}
	    {/foreach}

  		<br>
        {hook h='displayGDPRConsent' id_module=$id_module}
        <br>
  		<button type="submit" class="btn btn-primary" name="Submit" >{l s='Submit' mod='addifyrequestaquote'}</button><br>
        {*<input type="submit" value="Submit" name="Submit">*}
        <br>

        


    </form>		
{/block}