{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}


<table style="width: 100%; border-collapse: collapse; font-family: Arial, sans-serif; background-color: #eeeeee;">
  <tr>
    <td colspan="2" style="padding: 20px; text-align: center; background-color: white; font-size: 18px; border: 1px solid #dddddd;">
      <strong>{$quote_title_display|escape:'htmlall':'UTF-8'}</strong>
    </td>
  </tr>

  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{$name_label|escape:'htmlall':'UTF-8'}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;">{$name|escape:'htmlall':'UTF-8'}</td>
  </tr>

  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{$email_label|escape:'htmlall':'UTF-8'}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;"><a href="mailto:{$email|escape:'html':'UTF-8'}" style="color: #007BFF; text-decoration: none;">{$email|escape:'htmlall':'UTF-8'}</a></td>
  </tr>

  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{$des_label|escape:'htmlall':'UTF-8'}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;">{$des|escape:'htmlall':'UTF-8'}</td>
  </tr>
  {if $text_active}
  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{if $text_label} {$text_label|escape:'htmlall':'UTF-8'} {else} {l s='Text' mod='addifyrequestaquote'} {/if}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;">{$texttype|escape:'htmlall':'UTF-8'}</td>
  </tr>
  {/if}
  {if $dropdown_active}
  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{if $dropdown_label} {$dropdown_label|escape:'htmlall':'UTF-8'} {else} {l s='Dropdown' mod='addifyrequestaquote'} {/if}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;">{$dropdown|escape:'htmlall':'UTF-8'}</td>
  </tr>
  {/if}
  {if $fileuplod_active}
  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; ">
      <strong>{if $fileuplod_label} {$fileuplod_label|escape:'htmlall':'UTF-8'} {else} {l s='File' mod='addifyrequestaquote'} {/if}</strong>
    </td>
    <td style="padding: 15px; border: 1px solid #dddddd;">
      <a href="{$file|escape:'htmlall':'UTF-8'}" style="color: #007BFF; text-decoration: none;" target="_blank">
        {l s='View File' mod='addifyrequestaquote'}
      </a>
    </td>
  </tr>
  {/if}
  {if $multicheck_active}
  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{if $multicheck_label} {$multicheck_label|escape:'htmlall':'UTF-8'} {else} {l s='MultiSelect' mod='addifyrequestaquote'} {/if}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;">{$multiselect|escape:'htmlall':'UTF-8'}</td>
  </tr>
  {/if}
  {if $company_active}
  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{if $company_label} {$company_label|escape:'htmlall':'UTF-8'} {else} {l s='Company' mod='addifyrequestaquote'} {/if}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;">{$company|escape:'htmlall':'UTF-8'}</td>
  </tr>
  {/if}
  {if $website_active}
  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{if $website_label} {$website_label|escape:'htmlall':'UTF-8'} {else} {l s='Website' mod='addifyrequestaquote'} {/if}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;">
      <a href="{$website|escape:'htmlall':'UTF-8'}" target="_blank" style="color: #007BFF; text-decoration: none;">{$website|escape:'htmlall':'UTF-8'}</a>
    </td>
  </tr>
  {/if}
  {if $phone_active}
  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{if $phone_label} {$phone_label|escape:'htmlall':'UTF-8'} {else} {l s='Phone' mod='addifyrequestaquote'} {/if}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;">{$phone|escape:'htmlall':'UTF-8'}</td>
  </tr>
  {/if}
  {if $vatnumber_active}
  <tr>
    <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{if $vatnumber_label} {$vatnumber_label|escape:'htmlall':'UTF-8'} {else} {l s='VAT Number' mod='addifyrequestaquote'} {/if}</strong></td>
    <td style="padding: 15px; border: 1px solid #dddddd;">{$vatnumber|escape:'htmlall':'UTF-8'}</td>
  </tr>
  {/if}

  {if isset($customfieldsdata) AND $customfieldsdata}
  {foreach from=$customfieldsdata item=customfielddata}
    <tr>
      <td style="padding: 15px; border: 1px solid #dddddd; "><strong>{$customfielddata.field_label|escape:'html':'UTF-8'}</strong></td>
      <td style="padding: 15px; border: 1px solid #dddddd;">{if $customfielddata.field_value}
          {$customfielddata.field_value|escape:'html':'UTF-8'}
          {else}
          {$customfielddata.field_options|escape:'html':'UTF-8'}
          {/if}</td>
    </tr>
  {/foreach}
  {/if}

</table>

<br>

 <h2 >{$requested_quote_prods|escape:'html':'UTF-8'}</h2>

<table style="border-collapse: collapse; width: 100%; font-family: Arial, sans-serif;">
  <thead>
    <tr >
      <th style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{l s='Image' mod='addifyrequestaquote'}</th>
      <th style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{l s='Name' mod='addifyrequestaquote'}</th>
      <th style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{l s='SKU' mod='addifyrequestaquote'}</th>
      <th style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{l s='Info' mod='addifyrequestaquote'}</th>
      <th style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{l s='Quantity' mod='addifyrequestaquote'}</th>
      {if $aadifyraq_offered_mode == 1}
        <th style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{l s='Offered Price' mod='addifyrequestaquote'}</th>
      {/if}
    </tr>
  </thead>

  <tbody>
    {$i=0} 
    {foreach $allpimages as $image}
    <tr style="background-color: {if $i % 2 == 0}#f9f9f9{else}#ffffff{/if};">
      <td style="border: 1px solid #dddddd; padding: 10px; text-align: left;">
        <img src="{$image|escape:'htmlall':'UTF-8'}" alt="" width="50" height="50" style="border-radius: 8px; box-shadow: 0px 2px 4px rgba(0,0,0,0.1);">
      </td>
      <td style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{$allpname[$i]|escape:'htmlall':'UTF-8'}</td>
      <td style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{$allpsku[$i]|escape:'htmlall':'UTF-8'}</td>
      <td style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{$allpinfo[$i]|escape:'htmlall':'UTF-8'}</td>
      <td style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{$quantity[$i]|escape:'htmlall':'UTF-8'}</td>
      {if $aadifyraq_offered_mode == 1}
      <td style="border: 1px solid #dddddd; padding: 10px; text-align: left;">{$offered_price[$i]|escape:'htmlall':'UTF-8'} {$curr|escape:'htmlall':'UTF-8'}</td>
      {/if}
    </tr>
    {$i=$i+1}
    {/foreach}
  </tbody>

</table>